-- UMMItemDB
local ResourceItemFilter = {

	ItemDB = {};

	priv_AddDB = function(self, type, itemID)
		if (not self.ItemDB[type]) then
			self.ItemDB[type] = {};
		end
		self.ItemDB[type][itemID] = true;
	end;

	Init = function(self)
		self.ItemDB = nil;
		self.ItemDB = {};
	end;

	IsItem = function(self, type, itemLink)
		if (self.ItemDB[type]) then
			local itemkind, itemData, itemName = ParseHyperlink(itemLink);
			local _, _, itemID = string.find(itemData, "^(%x+)");
			itemID = tonumber(itemID, 16);
			if (self.ItemDB[type][itemID]) then
				return true;
			else
				return nil;
			end
		else
			return nil;
		end
	end;

	GetTypeByID = function(self, id)
		local result = "None";
		if (id == 1) then
			result = "Runes";
		elseif (id == 2) then
			result = "FusionStones";
		elseif (id == 3) then
			result = "Juwels";
		elseif (id == 4) then
			result = "Ores";
		elseif (id == 5) then
			result = "Wood";
		elseif (id == 6) then
			result = "Herbs";
		elseif (id == 7) then
			result = "RawMaterials";
		elseif (id == 8) then
			result = "ProductionRunes";
		elseif (id == 9) then
			result = "Foods";
		elseif (id == 10) then
			result = "Desserts";
		elseif (id == 11) then
			result = "Potions";
		elseif (id == 12) then
			result = "WRecipes";		-- release 5.0.1.2553
		elseif (id == 13) then
			result = "GRecipes";		-- release 5.0.1.2553
		elseif (id == 14) then
			result = "BRecipes";		-- release 5.0.1.2553
		elseif (id == 15) then
			result = "MRecipes";		-- release 5.0.1.2553
		elseif (id == 16) then
			result = "SRecipes";		-- release 6.0.1
		elseif (id == 17) then
			result = "Guild";			-- release 5.0.0.2545
		elseif (id == 18) then
			result = "Orbs";			-- release 6.0.1
		elseif (id == 19) then
			result = "PureTierItems";	-- release 6.0.1
		elseif (id == 20) then
			result = "TierItems";		-- release 6.0.1
		elseif (id == 21) then
			result = "MonsterCards";	-- release 6.0.1
		elseif (id == 22) then
			result = "CustomItems";		-- release 6.0.1
		end
		return result;
	end;
};

-- Runes
local function priv_AddRunes(db)
  -- Accuracy
  db:priv_AddDB("Runes", 521331); -- Accuracy I
  db:priv_AddDB("Runes", 521332); -- Accuracy II
  db:priv_AddDB("Runes", 521333); -- Accuracy III
  db:priv_AddDB("Runes", 521334); -- Accuracy IV
  db:priv_AddDB("Runes", 521335); -- Accuracy V
  db:priv_AddDB("Runes", 521336); -- Accuracy VI
  db:priv_AddDB("Runes", 521337); -- Accuracy VII
  db:priv_AddDB("Runes", 521338); -- Accuracy VIII
  db:priv_AddDB("Runes", 521339); -- Accuracy IX
  db:priv_AddDB("Runes", 521340); -- Accuracy X

  -- Advance
  db:priv_AddDB("Runes", 520581); -- Advance I
  db:priv_AddDB("Runes", 520582); -- Advance II
  db:priv_AddDB("Runes", 520583); -- Advance III
  db:priv_AddDB("Runes", 520584); -- Advance IV
  db:priv_AddDB("Runes", 520585); -- Advance V
  db:priv_AddDB("Runes", 520586); -- Advance VI
  db:priv_AddDB("Runes", 520587); -- Advance VII
  db:priv_AddDB("Runes", 520588); -- Advance VIII
  db:priv_AddDB("Runes", 520589); -- Advance IX
  db:priv_AddDB("Runes", 520590); -- Advance X

  -- Aggression
  db:priv_AddDB("Runes", 520561); -- Aggression I
  db:priv_AddDB("Runes", 520562); -- Aggression II
  db:priv_AddDB("Runes", 520563); -- Aggression III
  db:priv_AddDB("Runes", 520564); -- Aggression IV
  db:priv_AddDB("Runes", 520565); -- Aggression V
  db:priv_AddDB("Runes", 520566); -- Aggression VI
  db:priv_AddDB("Runes", 520567); -- Aggression VII
  db:priv_AddDB("Runes", 520568); -- Aggression VIII
  db:priv_AddDB("Runes", 520569); -- Aggression IX
  db:priv_AddDB("Runes", 520570); -- Aggression X

  -- Agile
  db:priv_AddDB("Runes", 520521); -- Agile I
  db:priv_AddDB("Runes", 520522); -- Agile II
  db:priv_AddDB("Runes", 520523); -- Agile III
  db:priv_AddDB("Runes", 520524); -- Agile IV
  db:priv_AddDB("Runes", 520525); -- Agile V
  db:priv_AddDB("Runes", 520526); -- Agile VI
  db:priv_AddDB("Runes", 520527); -- Agile VII
  db:priv_AddDB("Runes", 520528); -- Agile VIII
  db:priv_AddDB("Runes", 520529); -- Agile IX
  db:priv_AddDB("Runes", 520530); -- Agile X

  -- Anger
  db:priv_AddDB("Runes", 520361); -- Anger I
  db:priv_AddDB("Runes", 520362); -- Anger II
  db:priv_AddDB("Runes", 520363); -- Anger III
  db:priv_AddDB("Runes", 520364); -- Anger IV
  db:priv_AddDB("Runes", 520365); -- Anger V
  db:priv_AddDB("Runes", 520366); -- Anger VI
  db:priv_AddDB("Runes", 520367); -- Anger VII
  db:priv_AddDB("Runes", 520368); -- Anger VIII
  db:priv_AddDB("Runes", 520369); -- Anger IX
  db:priv_AddDB("Runes", 520370); -- Anger X

  -- Atonement
  db:priv_AddDB("Runes", 520241); -- Atonement I
  db:priv_AddDB("Runes", 520242); -- Atonement II
  db:priv_AddDB("Runes", 520243); -- Atonement III
  db:priv_AddDB("Runes", 520244); -- Atonement IV
  db:priv_AddDB("Runes", 520245); -- Atonement V
  db:priv_AddDB("Runes", 520246); -- Atonement VI
  db:priv_AddDB("Runes", 520247); -- Atonement VII
  db:priv_AddDB("Runes", 520248); -- Atonement VIII
  db:priv_AddDB("Runes", 520249); -- Atonement IX
  db:priv_AddDB("Runes", 520250); -- Atonement X

  -- Barrier
  db:priv_AddDB("Runes", 520381); -- Barrier I
  db:priv_AddDB("Runes", 520382); -- Barrier II
  db:priv_AddDB("Runes", 520383); -- Barrier III
  db:priv_AddDB("Runes", 520384); -- Barrier IV
  db:priv_AddDB("Runes", 520385); -- Barrier V
  db:priv_AddDB("Runes", 520386); -- Barrier VI
  db:priv_AddDB("Runes", 520387); -- Barrier VII
  db:priv_AddDB("Runes", 520388); -- Barrier VIII
  db:priv_AddDB("Runes", 520389); -- Barrier IX
  db:priv_AddDB("Runes", 520390); -- Barrier X

  -- Block
  db:priv_AddDB("Runes", 520621); -- Block I
  db:priv_AddDB("Runes", 520622); -- Block II
  db:priv_AddDB("Runes", 520623); -- Block III
  db:priv_AddDB("Runes", 520624); -- Block IV
  db:priv_AddDB("Runes", 520625); -- Block V
  db:priv_AddDB("Runes", 520626); -- Block VI
  db:priv_AddDB("Runes", 520627); -- Block VII
  db:priv_AddDB("Runes", 520628); -- Block VIII
  db:priv_AddDB("Runes", 520629); -- Block IX
  db:priv_AddDB("Runes", 520630); -- Block X

  -- Burst
  db:priv_AddDB("Runes", 520781); -- Burst I
  db:priv_AddDB("Runes", 520782); -- Burst II
  db:priv_AddDB("Runes", 520783); -- Burst III
  db:priv_AddDB("Runes", 520784); -- Burst IV
  db:priv_AddDB("Runes", 520785); -- Burst V
  db:priv_AddDB("Runes", 520786); -- Burst VI
  db:priv_AddDB("Runes", 520787); -- Burst VII
  db:priv_AddDB("Runes", 520788); -- Burst VIII
  db:priv_AddDB("Runes", 520789); -- Burst IX
  db:priv_AddDB("Runes", 520790); -- Burst X

  -- Capability
  db:priv_AddDB("Runes", 521151); -- Capability I
  db:priv_AddDB("Runes", 521152); -- Capability II
  db:priv_AddDB("Runes", 521153); -- Capability III
  db:priv_AddDB("Runes", 521154); -- Capability IV
  db:priv_AddDB("Runes", 521155); -- Capability V
  db:priv_AddDB("Runes", 521156); -- Capability VI
  db:priv_AddDB("Runes", 521157); -- Capability VII
  db:priv_AddDB("Runes", 521158); -- Capability VIII
  db:priv_AddDB("Runes", 521159); -- Capability IX
  db:priv_AddDB("Runes", 521160); -- Capability X

  -- Charm
  db:priv_AddDB("Runes", 521031); -- Charm I
  db:priv_AddDB("Runes", 521032); -- Charm II
  db:priv_AddDB("Runes", 521033); -- Charm III
  db:priv_AddDB("Runes", 521034); -- Charm IV
  db:priv_AddDB("Runes", 521035); -- Charm V
  db:priv_AddDB("Runes", 521036); -- Charm VI
  db:priv_AddDB("Runes", 521037); -- Charm VII
  db:priv_AddDB("Runes", 521038); -- Charm VIII
  db:priv_AddDB("Runes", 521039); -- Charm IX
  db:priv_AddDB("Runes", 521040); -- Charm X

  -- Comprehension
  db:priv_AddDB("Runes", 521191); -- Comprehension I
  db:priv_AddDB("Runes", 521192); -- Comprehension II
  db:priv_AddDB("Runes", 521193); -- Comprehension III
  db:priv_AddDB("Runes", 521194); -- Comprehension IV
  db:priv_AddDB("Runes", 521195); -- Comprehension V
  db:priv_AddDB("Runes", 521196); -- Comprehension VI
  db:priv_AddDB("Runes", 521197); -- Comprehension VII
  db:priv_AddDB("Runes", 521198); -- Comprehension VIII
  db:priv_AddDB("Runes", 521199); -- Comprehension IX
  db:priv_AddDB("Runes", 521200); -- Comprehension X

  -- Cruelty
  db:priv_AddDB("Runes", 521011); -- Cruelty I
  db:priv_AddDB("Runes", 521012); -- Cruelty II
  db:priv_AddDB("Runes", 521013); -- Cruelty III
  db:priv_AddDB("Runes", 521014); -- Cruelty IV
  db:priv_AddDB("Runes", 521015); -- Cruelty V
  db:priv_AddDB("Runes", 521016); -- Cruelty VI
  db:priv_AddDB("Runes", 521017); -- Cruelty VII
  db:priv_AddDB("Runes", 521018); -- Cruelty VIII
  db:priv_AddDB("Runes", 521019); -- Cruelty IX
  db:priv_AddDB("Runes", 521020); -- Cruelty X

  -- Curse
  db:priv_AddDB("Runes", 521311); -- Curse I
  db:priv_AddDB("Runes", 521312); -- Curse II
  db:priv_AddDB("Runes", 521313); -- Curse III
  db:priv_AddDB("Runes", 521314); -- Curse IV
  db:priv_AddDB("Runes", 521315); -- Curse V
  db:priv_AddDB("Runes", 521316); -- Curse VI
  db:priv_AddDB("Runes", 521317); -- Curse VII
  db:priv_AddDB("Runes", 521318); -- Curse VIII
  db:priv_AddDB("Runes", 521319); -- Curse IX
  db:priv_AddDB("Runes", 521320); -- Curse X

  -- Dauntlessness
  db:priv_AddDB("Runes", 521231); -- Dauntlessness I
  db:priv_AddDB("Runes", 521232); -- Dauntlessness II
  db:priv_AddDB("Runes", 521233); -- Dauntlessness III
  db:priv_AddDB("Runes", 521234); -- Dauntlessness IV
  db:priv_AddDB("Runes", 521235); -- Dauntlessness V
  db:priv_AddDB("Runes", 521236); -- Dauntlessness VI
  db:priv_AddDB("Runes", 521237); -- Dauntlessness VII
  db:priv_AddDB("Runes", 521238); -- Dauntlessness VIII
  db:priv_AddDB("Runes", 521239); -- Dauntlessness IX
  db:priv_AddDB("Runes", 521240); -- Dauntlessness X

   -- Defense
  db:priv_AddDB("Runes", 520201); -- Defense I
  db:priv_AddDB("Runes", 520202); -- Defense II
  db:priv_AddDB("Runes", 520203); -- Defense III
  db:priv_AddDB("Runes", 520204); -- Defense IV
  db:priv_AddDB("Runes", 520205); -- Defense V
  db:priv_AddDB("Runes", 520206); -- Defense VI
  db:priv_AddDB("Runes", 520207); -- Defense VII
  db:priv_AddDB("Runes", 520208); -- Defense VIII
  db:priv_AddDB("Runes", 520209); -- Defense IX
  db:priv_AddDB("Runes", 520210); -- Defense X

  -- Destruction
  db:priv_AddDB("Runes", 521271); -- Destruction I
  db:priv_AddDB("Runes", 521272); -- Destruction II
  db:priv_AddDB("Runes", 521273); -- Destruction III
  db:priv_AddDB("Runes", 521274); -- Destruction IV
  db:priv_AddDB("Runes", 521275); -- Destruction V
  db:priv_AddDB("Runes", 521276); -- Destruction VI
  db:priv_AddDB("Runes", 521277); -- Destruction VII
  db:priv_AddDB("Runes", 521278); -- Destruction VIII
  db:priv_AddDB("Runes", 521279); -- Destruction IX
  db:priv_AddDB("Runes", 521280); -- Destruction X

  -- Devil
  db:priv_AddDB("Runes", 521111); -- Devil I
  db:priv_AddDB("Runes", 521112); -- Devil II
  db:priv_AddDB("Runes", 521113); -- Devil III
  db:priv_AddDB("Runes", 521114); -- Devil IV
  db:priv_AddDB("Runes", 521115); -- Devil V
  db:priv_AddDB("Runes", 521116); -- Devil VI
  db:priv_AddDB("Runes", 521117); -- Devil VII
  db:priv_AddDB("Runes", 521118); -- Devil VIII
  db:priv_AddDB("Runes", 521119); -- Devil IX
  db:priv_AddDB("Runes", 521120); -- Devil X

  -- Dexterity
  db:priv_AddDB("Runes", 520951); -- Dexterity I
  db:priv_AddDB("Runes", 520952); -- Dexterity II
  db:priv_AddDB("Runes", 520953); -- Dexterity III
  db:priv_AddDB("Runes", 520954); -- Dexterity IV
  db:priv_AddDB("Runes", 520955); -- Dexterity V
  db:priv_AddDB("Runes", 520956); -- Dexterity VI
  db:priv_AddDB("Runes", 520957); -- Dexterity VII
  db:priv_AddDB("Runes", 520958); -- Dexterity VIII
  db:priv_AddDB("Runes", 520959); -- Dexterity IX
  db:priv_AddDB("Runes", 520960); -- Dexterity X

  -- Enchantment
  db:priv_AddDB("Runes", 521251); -- Enchantment I
  db:priv_AddDB("Runes", 521252); -- Enchantment II
  db:priv_AddDB("Runes", 521253); -- Enchantment III
  db:priv_AddDB("Runes", 521254); -- Enchantment IV
  db:priv_AddDB("Runes", 521255); -- Enchantment V
  db:priv_AddDB("Runes", 521256); -- Enchantment VI
  db:priv_AddDB("Runes", 521257); -- Enchantment VII
  db:priv_AddDB("Runes", 521258); -- Enchantment VIII
  db:priv_AddDB("Runes", 521259); -- Enchantment IX
  db:priv_AddDB("Runes", 521260); -- Enchantment X

  -- Endurance
  db:priv_AddDB("Runes", 520121); -- Endurance I
  db:priv_AddDB("Runes", 520122); -- Endurance II
  db:priv_AddDB("Runes", 520123); -- Endurance III
  db:priv_AddDB("Runes", 520124); -- Endurance IV
  db:priv_AddDB("Runes", 520125); -- Endurance V
  db:priv_AddDB("Runes", 520126); -- Endurance VI
  db:priv_AddDB("Runes", 520127); -- Endurance VII
  db:priv_AddDB("Runes", 520128); -- Endurance VIII
  db:priv_AddDB("Runes", 520129); -- Endurance IX
  db:priv_AddDB("Runes", 520130); -- Endurance X

  -- Enlightenment
  db:priv_AddDB("Runes", 521351); -- Enlightenment I
  db:priv_AddDB("Runes", 521352); -- Enlightenment II
  db:priv_AddDB("Runes", 521353); -- Enlightenment III
  db:priv_AddDB("Runes", 521354); -- Enlightenment IV
  db:priv_AddDB("Runes", 521355); -- Enlightenment V
  db:priv_AddDB("Runes", 521356); -- Enlightenment VI
  db:priv_AddDB("Runes", 521357); -- Enlightenment VII
  db:priv_AddDB("Runes", 521358); -- Enlightenment VIII
  db:priv_AddDB("Runes", 521359); -- Enlightenment IX
  db:priv_AddDB("Runes", 521360); -- Enlightenment X

 -- Excite
  db:priv_AddDB("Runes", 520281); -- Excite I
  db:priv_AddDB("Runes", 520282); -- Excite II
  db:priv_AddDB("Runes", 520283); -- Excite III
  db:priv_AddDB("Runes", 520284); -- Excite IV
  db:priv_AddDB("Runes", 520285); -- Excite V
  db:priv_AddDB("Runes", 520286); -- Excite VI
  db:priv_AddDB("Runes", 520287); -- Excite VII
  db:priv_AddDB("Runes", 520288); -- Excite VIII
  db:priv_AddDB("Runes", 520289); -- Excite IX
  db:priv_AddDB("Runes", 520290); -- Excite X

  -- Experience
  db:priv_AddDB("Runes", 520741); -- Experience I
  db:priv_AddDB("Runes", 520742); -- Experience II
  db:priv_AddDB("Runes", 520743); -- Experience III
  db:priv_AddDB("Runes", 520744); -- Experience IV
  db:priv_AddDB("Runes", 520745); -- Experience V
  db:priv_AddDB("Runes", 520746); -- Experience VI
  db:priv_AddDB("Runes", 520747); -- Experience VII
  db:priv_AddDB("Runes", 520748); -- Experience VIII
  db:priv_AddDB("Runes", 520749); -- Experience IX
  db:priv_AddDB("Runes", 520750); -- Experience X

  -- Fatal
  db:priv_AddDB("Runes", 520761); -- Fatal I
  db:priv_AddDB("Runes", 520762); -- Fatal II
  db:priv_AddDB("Runes", 520763); -- Fatal III
  db:priv_AddDB("Runes", 520764); -- Fatal IV
  db:priv_AddDB("Runes", 520765); -- Fatal V
  db:priv_AddDB("Runes", 520766); -- Fatal VI
  db:priv_AddDB("Runes", 520767); -- Fatal VII
  db:priv_AddDB("Runes", 520768); -- Fatal VIII
  db:priv_AddDB("Runes", 520769); -- Fatal IX
  db:priv_AddDB("Runes", 520770); -- Fatal X

  -- Fearless
  db:priv_AddDB("Runes", 520481); -- Fearless I
  db:priv_AddDB("Runes", 520482); -- Fearless II
  db:priv_AddDB("Runes", 520483); -- Fearless III
  db:priv_AddDB("Runes", 520484); -- Fearless IV
  db:priv_AddDB("Runes", 520485); -- Fearless V
  db:priv_AddDB("Runes", 520486); -- Fearless VI
  db:priv_AddDB("Runes", 520487); -- Fearless VII
  db:priv_AddDB("Runes", 520488); -- Fearless VIII
  db:priv_AddDB("Runes", 520489); -- Fearless IX
  db:priv_AddDB("Runes", 520490); -- Fearless X

  -- Ferocity
  db:priv_AddDB("Runes", 521091); -- Ferocity I
  db:priv_AddDB("Runes", 521092); -- Ferocity II
  db:priv_AddDB("Runes", 521093); -- Ferocity III
  db:priv_AddDB("Runes", 521094); -- Ferocity IV
  db:priv_AddDB("Runes", 521095); -- Ferocity V
  db:priv_AddDB("Runes", 521096); -- Ferocity VI
  db:priv_AddDB("Runes", 521097); -- Ferocity VII
  db:priv_AddDB("Runes", 521098); -- Ferocity VIII
  db:priv_AddDB("Runes", 521099); -- Ferocity IX
  db:priv_AddDB("Runes", 521100); -- Ferocity X

  -- Fountain
  db:priv_AddDB("Runes", 520461); -- Fountain I
  db:priv_AddDB("Runes", 520462); -- Fountain II
  db:priv_AddDB("Runes", 520463); -- Fountain III
  db:priv_AddDB("Runes", 520464); -- Fountain IV
  db:priv_AddDB("Runes", 520465); -- Fountain V
  db:priv_AddDB("Runes", 520466); -- Fountain VI
  db:priv_AddDB("Runes", 520467); -- Fountain VII
  db:priv_AddDB("Runes", 520468); -- Fountain VIII
  db:priv_AddDB("Runes", 520469); -- Fountain IX
  db:priv_AddDB("Runes", 520470); -- Fountain X

  -- Grasp
  db:priv_AddDB("Runes", 521131); -- Grasp I
  db:priv_AddDB("Runes", 521132); -- Grasp II
  db:priv_AddDB("Runes", 521133); -- Grasp III
  db:priv_AddDB("Runes", 521134); -- Grasp IV
  db:priv_AddDB("Runes", 521135); -- Grasp V
  db:priv_AddDB("Runes", 521136); -- Grasp VI
  db:priv_AddDB("Runes", 521137); -- Grasp VII
  db:priv_AddDB("Runes", 521138); -- Grasp VIII
  db:priv_AddDB("Runes", 521139); -- Grasp IX
  db:priv_AddDB("Runes", 521140); -- Grasp X

  -- Guts
  db:priv_AddDB("Runes", 520301); -- Guts I
  db:priv_AddDB("Runes", 520302); -- Guts II
  db:priv_AddDB("Runes", 520303); -- Guts III
  db:priv_AddDB("Runes", 520304); -- Guts IV
  db:priv_AddDB("Runes", 520305); -- Guts V
  db:priv_AddDB("Runes", 520306); -- Guts VI
  db:priv_AddDB("Runes", 520307); -- Guts VII
  db:priv_AddDB("Runes", 520308); -- Guts VIII
  db:priv_AddDB("Runes", 520309); -- Guts IX
  db:priv_AddDB("Runes", 520310); -- Guts X

  -- Harm
  db:priv_AddDB("Runes", 520161); -- Harm I
  db:priv_AddDB("Runes", 520162); -- Harm II
  db:priv_AddDB("Runes", 520163); -- Harm III
  db:priv_AddDB("Runes", 520164); -- Harm IV
  db:priv_AddDB("Runes", 520165); -- Harm V
  db:priv_AddDB("Runes", 520166); -- Harm VI
  db:priv_AddDB("Runes", 520167); -- Harm VII
  db:priv_AddDB("Runes", 520168); -- Harm VIII
  db:priv_AddDB("Runes", 520169); -- Harm IX
  db:priv_AddDB("Runes", 520170); -- Harm X

  -- Hatred
  db:priv_AddDB("Runes", 520681); -- Hatred I
  db:priv_AddDB("Runes", 520682); -- Hatred II
  db:priv_AddDB("Runes", 520683); -- Hatred III
  db:priv_AddDB("Runes", 520684); -- Hatred IV
  db:priv_AddDB("Runes", 520685); -- Hatred V
  db:priv_AddDB("Runes", 520686); -- Hatred VI
  db:priv_AddDB("Runes", 520687); -- Hatred VII
  db:priv_AddDB("Runes", 520688); -- Hatred VIII
  db:priv_AddDB("Runes", 520689); -- Hatred IX
  db:priv_AddDB("Runes", 520690); -- Hatred X

  -- Intellect
  db:priv_AddDB("Runes", 520541); -- Intellect I
  db:priv_AddDB("Runes", 520542); -- Intellect II
  db:priv_AddDB("Runes", 520543); -- Intellect III
  db:priv_AddDB("Runes", 520544); -- Intellect IV
  db:priv_AddDB("Runes", 520545); -- Intellect V
  db:priv_AddDB("Runes", 520546); -- Intellect VI
  db:priv_AddDB("Runes", 520547); -- Intellect VII
  db:priv_AddDB("Runes", 520548); -- Intellect VIII
  db:priv_AddDB("Runes", 520549); -- Intellect IX
  db:priv_AddDB("Runes", 520550); -- Intellect X

  -- Keenness
  db:priv_AddDB("Runes", 521171); -- Keenness I
  db:priv_AddDB("Runes", 521172); -- Keenness II
  db:priv_AddDB("Runes", 521173); -- Keenness III
  db:priv_AddDB("Runes", 521174); -- Keenness IV
  db:priv_AddDB("Runes", 521175); -- Keenness V
  db:priv_AddDB("Runes", 521176); -- Keenness VI
  db:priv_AddDB("Runes", 521177); -- Keenness VII
  db:priv_AddDB("Runes", 521178); -- Keenness VIII
  db:priv_AddDB("Runes", 521179); -- Keenness IX
  db:priv_AddDB("Runes", 521180); -- Keenness X

   -- Life
  db:priv_AddDB("Runes", 520971); -- Life I
  db:priv_AddDB("Runes", 520972); -- Life II
  db:priv_AddDB("Runes", 520973); -- Life III
  db:priv_AddDB("Runes", 520974); -- Life IV
  db:priv_AddDB("Runes", 520975); -- Life V
  db:priv_AddDB("Runes", 520976); -- Life VI
  db:priv_AddDB("Runes", 520977); -- Life VII
  db:priv_AddDB("Runes", 520978); -- Life VIII
  db:priv_AddDB("Runes", 520979); -- Life IX
  db:priv_AddDB("Runes", 520980); -- Life X

  -- Loot
  db:priv_AddDB("Runes", 520721); -- Loot I
  db:priv_AddDB("Runes", 520722); -- Loot II
  db:priv_AddDB("Runes", 520723); -- Loot III
  db:priv_AddDB("Runes", 520724); -- Loot IV
  db:priv_AddDB("Runes", 520725); -- Loot V
  db:priv_AddDB("Runes", 520726); -- Loot VI
  db:priv_AddDB("Runes", 520727); -- Loot VII
  db:priv_AddDB("Runes", 520728); -- Loot VIII
  db:priv_AddDB("Runes", 520729); -- Loot IX
  db:priv_AddDB("Runes", 520730); -- Loot X

  -- Madness
  db:priv_AddDB("Runes", 521211); -- Madness I
  db:priv_AddDB("Runes", 521212); -- Madness II
  db:priv_AddDB("Runes", 521213); -- Madness III
  db:priv_AddDB("Runes", 521214); -- Madness IV
  db:priv_AddDB("Runes", 521215); -- Madness V
  db:priv_AddDB("Runes", 521216); -- Madness VI
  db:priv_AddDB("Runes", 521217); -- Madness VII
  db:priv_AddDB("Runes", 521218); -- Madness VIII
  db:priv_AddDB("Runes", 521219); -- Madness IX
  db:priv_AddDB("Runes", 521220); -- Madness X

  -- Magic
  db:priv_AddDB("Runes", 520141); -- Magic I
  db:priv_AddDB("Runes", 520142); -- Magic II
  db:priv_AddDB("Runes", 520143); -- Magic III
  db:priv_AddDB("Runes", 520144); -- Magic IV
  db:priv_AddDB("Runes", 520145); -- Magic V
  db:priv_AddDB("Runes", 520146); -- Magic VI
  db:priv_AddDB("Runes", 520147); -- Magic VII
  db:priv_AddDB("Runes", 520148); -- Magic VIII
  db:priv_AddDB("Runes", 520149); -- Magic IX
  db:priv_AddDB("Runes", 520150); -- Magic X

  -- Mayhem
  db:priv_AddDB("Runes", 520421); -- Mayhem I
  db:priv_AddDB("Runes", 520422); -- Mayhem II
  db:priv_AddDB("Runes", 520423); -- Mayhem III
  db:priv_AddDB("Runes", 520424); -- Mayhem IV
  db:priv_AddDB("Runes", 520425); -- Mayhem V
  db:priv_AddDB("Runes", 520426); -- Mayhem VI
  db:priv_AddDB("Runes", 520427); -- Mayhem VII
  db:priv_AddDB("Runes", 520428); -- Mayhem VIII
  db:priv_AddDB("Runes", 520429); -- Mayhem IX
  db:priv_AddDB("Runes", 520430); -- Mayhem X

  -- Might
  db:priv_AddDB("Runes", 520501); -- Might I
  db:priv_AddDB("Runes", 520502); -- Might II
  db:priv_AddDB("Runes", 520503); -- Might III
  db:priv_AddDB("Runes", 520504); -- Might IV
  db:priv_AddDB("Runes", 520505); -- Might V
  db:priv_AddDB("Runes", 520506); -- Might VI
  db:priv_AddDB("Runes", 520507); -- Might VII
  db:priv_AddDB("Runes", 520508); -- Might VIII
  db:priv_AddDB("Runes", 520509); -- Might IX
  db:priv_AddDB("Runes", 520510); -- Might X

  -- Mind
  db:priv_AddDB("Runes", 520061); -- Mind I
  db:priv_AddDB("Runes", 520062); -- Mind II
  db:priv_AddDB("Runes", 520063); -- Mind III
  db:priv_AddDB("Runes", 520064); -- Mind IV
  db:priv_AddDB("Runes", 520065); -- Mind V
  db:priv_AddDB("Runes", 520066); -- Mind VI
  db:priv_AddDB("Runes", 520067); -- Mind VII
  db:priv_AddDB("Runes", 520068); -- Mind VIII
  db:priv_AddDB("Runes", 520069); -- Mind IX
  db:priv_AddDB("Runes", 520070); -- Mind X

  -- Miracle
  db:priv_AddDB("Runes", 520821); -- Miracle I
  db:priv_AddDB("Runes", 520822); -- Miracle II
  db:priv_AddDB("Runes", 520823); -- Miracle III
  db:priv_AddDB("Runes", 520824); -- Miracle IV
  db:priv_AddDB("Runes", 520825); -- Miracle V
  db:priv_AddDB("Runes", 520826); -- Miracle VI
  db:priv_AddDB("Runes", 520827); -- Miracle VII
  db:priv_AddDB("Runes", 520828); -- Miracle VIII
  db:priv_AddDB("Runes", 520829); -- Miracle IX
  db:priv_AddDB("Runes", 520830); -- Miracle X

  -- Passion
  db:priv_AddDB("Runes", 520441); -- Passion I
  db:priv_AddDB("Runes", 520442); -- Passion II
  db:priv_AddDB("Runes", 520443); -- Passion III
  db:priv_AddDB("Runes", 520444); -- Passion IV
  db:priv_AddDB("Runes", 520445); -- Passion V
  db:priv_AddDB("Runes", 520446); -- Passion VI
  db:priv_AddDB("Runes", 520447); -- Passion VII
  db:priv_AddDB("Runes", 520448); -- Passion VIII
  db:priv_AddDB("Runes", 520449); -- Passion IX
  db:priv_AddDB("Runes", 520450); -- Passion X

  -- Payback
  db:priv_AddDB("Runes", 520261); -- Payback I
  db:priv_AddDB("Runes", 520262); -- Payback II
  db:priv_AddDB("Runes", 520263); -- Payback III
  db:priv_AddDB("Runes", 520264); -- Payback IV
  db:priv_AddDB("Runes", 520265); -- Payback V
  db:priv_AddDB("Runes", 520266); -- Payback VI
  db:priv_AddDB("Runes", 520267); -- Payback VII
  db:priv_AddDB("Runes", 520268); -- Payback VIII
  db:priv_AddDB("Runes", 520269); -- Payback IX
  db:priv_AddDB("Runes", 520270); -- Payback X

  -- Potential
  db:priv_AddDB("Runes", 520661); -- Potential I
  db:priv_AddDB("Runes", 520662); -- Potential II
  db:priv_AddDB("Runes", 520663); -- Potential III
  db:priv_AddDB("Runes", 520664); -- Potential IV
  db:priv_AddDB("Runes", 520665); -- Potential V
  db:priv_AddDB("Runes", 520666); -- Potential VI
  db:priv_AddDB("Runes", 520667); -- Potential VII
  db:priv_AddDB("Runes", 520668); -- Potential VIII
  db:priv_AddDB("Runes", 520669); -- Potential IX
  db:priv_AddDB("Runes", 520670); -- Potential X

  -- Power
  db:priv_AddDB("Runes", 520021); -- Power I
  db:priv_AddDB("Runes", 520022); -- Power II
  db:priv_AddDB("Runes", 520023); -- Power III
  db:priv_AddDB("Runes", 520024); -- Power IV
  db:priv_AddDB("Runes", 520025); -- Power V
  db:priv_AddDB("Runes", 520026); -- Power VI
  db:priv_AddDB("Runes", 520027); -- Power VII
  db:priv_AddDB("Runes", 520028); -- Power VIII
  db:priv_AddDB("Runes", 520029); -- Power IX
  db:priv_AddDB("Runes", 520030); -- Power X

  -- Quickness
  db:priv_AddDB("Runes", 520101); -- Quickness I
  db:priv_AddDB("Runes", 520102); -- Quickness II
  db:priv_AddDB("Runes", 520103); -- Quickness III
  db:priv_AddDB("Runes", 520104); -- Quickness IV
  db:priv_AddDB("Runes", 520105); -- Quickness V
  db:priv_AddDB("Runes", 520106); -- Quickness VI
  db:priv_AddDB("Runes", 520107); -- Quickness VII
  db:priv_AddDB("Runes", 520108); -- Quickness VIII
  db:priv_AddDB("Runes", 520109); -- Quickness IX
  db:priv_AddDB("Runes", 520110); -- Quickness X

  -- Raid
  db:priv_AddDB("Runes", 521291); -- Raid I
  db:priv_AddDB("Runes", 521292); -- Raid II
  db:priv_AddDB("Runes", 521293); -- Raid III
  db:priv_AddDB("Runes", 521294); -- Raid IV
  db:priv_AddDB("Runes", 521295); -- Raid V
  db:priv_AddDB("Runes", 521296); -- Raid VI
  db:priv_AddDB("Runes", 521297); -- Raid VII
  db:priv_AddDB("Runes", 521298); -- Raid VIII
  db:priv_AddDB("Runes", 521299); -- Raid IX
  db:priv_AddDB("Runes", 521300); -- Raid X

  -- Reconciliation
  db:priv_AddDB("Runes", 520701); -- Reconciliation I
  db:priv_AddDB("Runes", 520702); -- Reconciliation II
  db:priv_AddDB("Runes", 520703); -- Reconciliation III
  db:priv_AddDB("Runes", 520704); -- Reconciliation IV
  db:priv_AddDB("Runes", 520705); -- Reconciliation V
  db:priv_AddDB("Runes", 520706); -- Reconciliation VI
  db:priv_AddDB("Runes", 520707); -- Reconciliation VII
  db:priv_AddDB("Runes", 520708); -- Reconciliation VIII
  db:priv_AddDB("Runes", 520709); -- Reconciliation IX
  db:priv_AddDB("Runes", 520710); -- Reconciliation X

  -- Resistance
  db:priv_AddDB("Runes", 520041); -- Resistance I
  db:priv_AddDB("Runes", 520042); -- Resistance II
  db:priv_AddDB("Runes", 520043); -- Resistance III
  db:priv_AddDB("Runes", 520044); -- Resistance IV
  db:priv_AddDB("Runes", 520045); -- Resistance V
  db:priv_AddDB("Runes", 520046); -- Resistance VI
  db:priv_AddDB("Runes", 520047); -- Resistance VII
  db:priv_AddDB("Runes", 520048); -- Resistance VIII
  db:priv_AddDB("Runes", 520049); -- Resistance IX
  db:priv_AddDB("Runes", 520050); -- Resistance X

  -- Resistor
  db:priv_AddDB("Runes", 520401); -- Resistor I
  db:priv_AddDB("Runes", 520402); -- Resistor II
  db:priv_AddDB("Runes", 520403); -- Resistor III
  db:priv_AddDB("Runes", 520404); -- Resistor IV
  db:priv_AddDB("Runes", 520405); -- Resistor V
  db:priv_AddDB("Runes", 520406); -- Resistor VI
  db:priv_AddDB("Runes", 520407); -- Resistor VII
  db:priv_AddDB("Runes", 520408); -- Resistor VIII
  db:priv_AddDB("Runes", 520409); -- Resistor IX
  db:priv_AddDB("Runes", 520410); -- Resistor X

  -- Revolution
  db:priv_AddDB("Runes", 520601); -- Revolution I
  db:priv_AddDB("Runes", 520602); -- Revolution II
  db:priv_AddDB("Runes", 520603); -- Revolution III
  db:priv_AddDB("Runes", 520604); -- Revolution IV
  db:priv_AddDB("Runes", 520605); -- Revolution V
  db:priv_AddDB("Runes", 520606); -- Revolution VI
  db:priv_AddDB("Runes", 520607); -- Revolution VII
  db:priv_AddDB("Runes", 520608); -- Revolution VIII
  db:priv_AddDB("Runes", 520609); -- Revolution IX
  db:priv_AddDB("Runes", 520610); -- Revolution X

  -- Rouse
  db:priv_AddDB("Runes", 520321); -- Rouse I
  db:priv_AddDB("Runes", 520322); -- Rouse II
  db:priv_AddDB("Runes", 520323); -- Rouse III
  db:priv_AddDB("Runes", 520324); -- Rouse IV
  db:priv_AddDB("Runes", 520325); -- Rouse V
  db:priv_AddDB("Runes", 520326); -- Rouse VI
  db:priv_AddDB("Runes", 520327); -- Rouse VII
  db:priv_AddDB("Runes", 520328); -- Rouse VIII
  db:priv_AddDB("Runes", 520329); -- Rouse IX
  db:priv_AddDB("Runes", 520330); -- Rouse X

  -- Safeguard
  db:priv_AddDB("Runes", 521051); -- Safeguard I
  db:priv_AddDB("Runes", 521052); -- Safeguard II
  db:priv_AddDB("Runes", 521053); -- Safeguard III
  db:priv_AddDB("Runes", 521054); -- Safeguard IV
  db:priv_AddDB("Runes", 521055); -- Safeguard V
  db:priv_AddDB("Runes", 521056); -- Safeguard VI
  db:priv_AddDB("Runes", 521057); -- Safeguard VII
  db:priv_AddDB("Runes", 521058); -- Safeguard VIII
  db:priv_AddDB("Runes", 521059); -- Safeguard IX
  db:priv_AddDB("Runes", 521060); -- Safeguard X

  -- Savage
  db:priv_AddDB("Runes", 520871); -- Savage I
  db:priv_AddDB("Runes", 520872); -- Savage II
  db:priv_AddDB("Runes", 520873); -- Savage III
  db:priv_AddDB("Runes", 520874); -- Savage IV
  db:priv_AddDB("Runes", 520875); -- Savage V
  db:priv_AddDB("Runes", 520876); -- Savage VI
  db:priv_AddDB("Runes", 520877); -- Savage VII
  db:priv_AddDB("Runes", 520878); -- Savage VIII
  db:priv_AddDB("Runes", 520879); -- Savage IX
  db:priv_AddDB("Runes", 520880); -- Savage X

  -- Shell
  db:priv_AddDB("Runes", 520221); -- Shell I
  db:priv_AddDB("Runes", 520222); -- Shell II
  db:priv_AddDB("Runes", 520223); -- Shell III
  db:priv_AddDB("Runes", 520224); -- Shell IV
  db:priv_AddDB("Runes", 520225); -- Shell V
  db:priv_AddDB("Runes", 520226); -- Shell VI
  db:priv_AddDB("Runes", 520227); -- Shell VII
  db:priv_AddDB("Runes", 520228); -- Shell VIII
  db:priv_AddDB("Runes", 520229); -- Shell IX
  db:priv_AddDB("Runes", 520230); -- Shell X

  -- Shield
  db:priv_AddDB("Runes", 520641); -- Shield I
  db:priv_AddDB("Runes", 520642); -- Shield II
  db:priv_AddDB("Runes", 520643); -- Shield III
  db:priv_AddDB("Runes", 520644); -- Shield IV
  db:priv_AddDB("Runes", 520645); -- Shield V
  db:priv_AddDB("Runes", 520646); -- Shield VI
  db:priv_AddDB("Runes", 520647); -- Shield VII
  db:priv_AddDB("Runes", 520648); -- Shield VIII
  db:priv_AddDB("Runes", 520649); -- Shield IX
  db:priv_AddDB("Runes", 520650); -- Shield X

  -- Sorcery
  db:priv_AddDB("Runes", 520541); -- Sorcery I
  db:priv_AddDB("Runes", 520542); -- Sorcery II
  db:priv_AddDB("Runes", 520543); -- Sorcery III
  db:priv_AddDB("Runes", 520544); -- Sorcery IV
  db:priv_AddDB("Runes", 520545); -- Sorcery V
  db:priv_AddDB("Runes", 520546); -- Sorcery VI
  db:priv_AddDB("Runes", 520547); -- Sorcery VII
  db:priv_AddDB("Runes", 520548); -- Sorcery VIII
  db:priv_AddDB("Runes", 520549); -- Sorcery IX
  db:priv_AddDB("Runes", 520550); -- Sorcery X

  -- Spell
  db:priv_AddDB("Runes", 520991); -- Spell I
  db:priv_AddDB("Runes", 520992); -- Spell II
  db:priv_AddDB("Runes", 520993); -- Spell III
  db:priv_AddDB("Runes", 520994); -- Spell IV
  db:priv_AddDB("Runes", 520995); -- Spell V
  db:priv_AddDB("Runes", 520996); -- Spell VI
  db:priv_AddDB("Runes", 520997); -- Spell VII
  db:priv_AddDB("Runes", 520998); -- Spell VIII
  db:priv_AddDB("Runes", 520999); -- Spell IX
  db:priv_AddDB("Runes", 521000); -- Spell X

  -- Spirit
  db:priv_AddDB("Runes", 520931); -- Spirit I
  db:priv_AddDB("Runes", 520932); -- Spirit II
  db:priv_AddDB("Runes", 520933); -- Spirit III
  db:priv_AddDB("Runes", 520934); -- Spirit IV
  db:priv_AddDB("Runes", 520935); -- Spirit V
  db:priv_AddDB("Runes", 520936); -- Spirit VI
  db:priv_AddDB("Runes", 520937); -- Spirit VII
  db:priv_AddDB("Runes", 520938); -- Spirit VIII
  db:priv_AddDB("Runes", 520939); -- Spirit IX
  db:priv_AddDB("Runes", 520940); -- Spirit X

  -- Stamina
  db:priv_AddDB("Runes", 520891); -- Stamina I
  db:priv_AddDB("Runes", 520892); -- Stamina II
  db:priv_AddDB("Runes", 520893); -- Stamina III
  db:priv_AddDB("Runes", 520894); -- Stamina IV
  db:priv_AddDB("Runes", 520895); -- Stamina V
  db:priv_AddDB("Runes", 520896); -- Stamina VI
  db:priv_AddDB("Runes", 520897); -- Stamina VII
  db:priv_AddDB("Runes", 520898); -- Stamina VIII
  db:priv_AddDB("Runes", 520899); -- Stamina IX
  db:priv_AddDB("Runes", 520900); -- Stamina X

  -- Strike
  db:priv_AddDB("Runes", 520181); -- Strike I
  db:priv_AddDB("Runes", 520182); -- Strike II
  db:priv_AddDB("Runes", 520183); -- Strike III
  db:priv_AddDB("Runes", 520184); -- Strike IV
  db:priv_AddDB("Runes", 520185); -- Strike V
  db:priv_AddDB("Runes", 520186); -- Strike VI
  db:priv_AddDB("Runes", 520187); -- Strike VII
  db:priv_AddDB("Runes", 520188); -- Strike VIII
  db:priv_AddDB("Runes", 520189); -- Strike IX
  db:priv_AddDB("Runes", 520190); -- Strike X

  -- Triumph
  db:priv_AddDB("Runes", 520341); -- Triumph I
  db:priv_AddDB("Runes", 520342); -- Triumph II
  db:priv_AddDB("Runes", 520343); -- Triumph III
  db:priv_AddDB("Runes", 520344); -- Triumph IV
  db:priv_AddDB("Runes", 520345); -- Triumph V
  db:priv_AddDB("Runes", 520346); -- Triumph VI
  db:priv_AddDB("Runes", 520347); -- Triumph VII
  db:priv_AddDB("Runes", 520348); -- Triumph VIII
  db:priv_AddDB("Runes", 520349); -- Triumph IX
  db:priv_AddDB("Runes", 520350); -- Triumph X

  -- Vigor
  db:priv_AddDB("Runes", 520021); -- Vigor I
  db:priv_AddDB("Runes", 520022); -- Vigor II
  db:priv_AddDB("Runes", 520023); -- Vigor III
  db:priv_AddDB("Runes", 520024); -- Vigor IV
  db:priv_AddDB("Runes", 520025); -- Vigor V
  db:priv_AddDB("Runes", 520026); -- Vigor VI
  db:priv_AddDB("Runes", 520027); -- Vigor VII
  db:priv_AddDB("Runes", 520028); -- Vigor VIII
  db:priv_AddDB("Runes", 520029); -- Vigor IX
  db:priv_AddDB("Runes", 520030); -- Vigor X

  -- Vitality
  db:priv_AddDB("Runes", 520081); -- Vitality I
  db:priv_AddDB("Runes", 520082); -- Vitality II
  db:priv_AddDB("Runes", 520083); -- Vitality III
  db:priv_AddDB("Runes", 520084); -- Vitality IV
  db:priv_AddDB("Runes", 520085); -- Vitality V
  db:priv_AddDB("Runes", 520086); -- Vitality VI
  db:priv_AddDB("Runes", 520087); -- Vitality VII
  db:priv_AddDB("Runes", 520088); -- Vitality VIII
  db:priv_AddDB("Runes", 520089); -- Vitality IX
  db:priv_AddDB("Runes", 520090); -- Vitality X

  -- Wall
  db:priv_AddDB("Runes", 520621); -- Wall I
  db:priv_AddDB("Runes", 520622); -- Wall II
  db:priv_AddDB("Runes", 520623); -- Wall III
  db:priv_AddDB("Runes", 520624); -- Wall IV
  db:priv_AddDB("Runes", 520625); -- Wall V
  db:priv_AddDB("Runes", 520626); -- Wall VI
  db:priv_AddDB("Runes", 520627); -- Wall VII
  db:priv_AddDB("Runes", 520628); -- Wall VIII
  db:priv_AddDB("Runes", 520629); -- Wall IX
  db:priv_AddDB("Runes", 520630); -- Wall X

  -- Ward
  db:priv_AddDB("Runes", 521071); -- Ward I
  db:priv_AddDB("Runes", 521072); -- Ward II
  db:priv_AddDB("Runes", 521073); -- Ward III
  db:priv_AddDB("Runes", 521074); -- Ward IV
  db:priv_AddDB("Runes", 521075); -- Ward V
  db:priv_AddDB("Runes", 521076); -- Ward VI
  db:priv_AddDB("Runes", 521077); -- Ward VII
  db:priv_AddDB("Runes", 521078); -- Ward VIII
  db:priv_AddDB("Runes", 521079); -- Ward IX
  db:priv_AddDB("Runes", 521080); -- Ward X

  -- Wrath
  db:priv_AddDB("Runes", 520801); -- Wrath I
  db:priv_AddDB("Runes", 520802); -- Wrath II
  db:priv_AddDB("Runes", 520803); -- Wrath III
  db:priv_AddDB("Runes", 520804); -- Wrath IV
  db:priv_AddDB("Runes", 520805); -- Wrath V
  db:priv_AddDB("Runes", 520806); -- Wrath VI
  db:priv_AddDB("Runes", 520807); -- Wrath VII
  db:priv_AddDB("Runes", 520808); -- Wrath VIII
  db:priv_AddDB("Runes", 520809); -- Wrath IX
  db:priv_AddDB("Runes", 520810); -- Wrath X
end;

-- Fusion Stones
local function priv_AddFusionStones(db)
  -- Purified Fusion Stone
  db:priv_AddDB("FusionStones", 202881); -- Purified Fusion Stone
  -- Fusion Stone
  db:priv_AddDB("FusionStones", 202882); -- Fusion Stone
  db:priv_AddDB("FusionStones", 202883); -- Fusion Stone
  db:priv_AddDB("FusionStones", 202885); -- Fusion Stone
  db:priv_AddDB("FusionStones", 202995); -- Fusion Stone
  db:priv_AddDB("FusionStones", 202996); -- Fusion Stone
  db:priv_AddDB("FusionStones", 202997); -- Fusion Stone
  db:priv_AddDB("FusionStones", 202998); -- Fusion Stone
  db:priv_AddDB("FusionStones", 203000); -- Fusion Stone
  db:priv_AddDB("FusionStones", 203001); -- Fusion Stone
  db:priv_AddDB("FusionStones", 203002); -- Fusion Stone
  db:priv_AddDB("FusionStones", 203003); -- Fusion Stone
  db:priv_AddDB("FusionStones", 203004); -- Fusion Stone
  db:priv_AddDB("FusionStones", 202880); -- Fusion Stone
  db:priv_AddDB("FusionStones", 202999); -- Random Fusion Stone
  -- Mana Stone
  db:priv_AddDB("FusionStones", 202840); -- Mana Stone Tier 1
  db:priv_AddDB("FusionStones", 202841); -- Mana Stone Tier 2
  db:priv_AddDB("FusionStones", 202842); -- Mana Stone Tier 3
  db:priv_AddDB("FusionStones", 202843); -- Mana Stone Tier 4
  db:priv_AddDB("FusionStones", 202844); -- Mana Stone Tier 5
  db:priv_AddDB("FusionStones", 202845); -- Mana Stone Tier 6
  db:priv_AddDB("FusionStones", 202846); -- Mana Stone Tier 7
  db:priv_AddDB("FusionStones", 202847); -- Mana Stone Tier 8
  db:priv_AddDB("FusionStones", 202848); -- Mana Stone Tier 9
  db:priv_AddDB("FusionStones", 202849); -- Mana Stone Tier 10
  db:priv_AddDB("FusionStones", 202850); -- Mana Stone Tier 11
  db:priv_AddDB("FusionStones", 202851); -- Mana Stone Tier 12
  db:priv_AddDB("FusionStones", 202852); -- Mana Stone Tier 13
  db:priv_AddDB("FusionStones", 202853); -- Mana Stone Tier 14
  db:priv_AddDB("FusionStones", 202854); -- Mana Stone Tier 15
  db:priv_AddDB("FusionStones", 202855); -- Mana Stone Tier 16
  db:priv_AddDB("FusionStones", 202856); -- Mana Stone Tier 17
  db:priv_AddDB("FusionStones", 202857); -- Mana Stone Tier 18
  db:priv_AddDB("FusionStones", 202858); -- Mana Stone Tier 19
  db:priv_AddDB("FusionStones", 202859); -- Mana Stone Tier 20
end;

-- Juwels
local function priv_AddJuwels(db)
  db:priv_AddDB("Juwels", 550000);
end;

-- Ores
local function priv_AddOres(db)
  -- Brown
  db:priv_AddDB("Ores", 201747); -- Arcane Abyss-Mercury Ingot
  db:priv_AddDB("Ores", 201722); -- Arcane Copper Ingot
  db:priv_AddDB("Ores", 202590); -- Arcane Cyanide Ingot
  db:priv_AddDB("Ores", 201733); -- Arcane Dark Crystal Ingot
  db:priv_AddDB("Ores", 202589); -- Arcane Flame Dust Ingot
  db:priv_AddDB("Ores", 202594); -- Arcane Frost Crystal Ingot
  db:priv_AddDB("Ores", 201719); -- Arcane Iron Ingot
  db:priv_AddDB("Ores", 202593); -- Arcane Mithril Ingot
  db:priv_AddDB("Ores", 201746); -- Arcane Moon Silver Ingot
  db:priv_AddDB("Ores", 202592); -- Arcane Mysticite Ingot
  db:priv_AddDB("Ores", 202591); -- Arcane Rock Crystal Ingot
  db:priv_AddDB("Ores", 201734); -- Arcane Silver Ingot
  db:priv_AddDB("Ores", 201712); -- Arcane Tin Ingot
  db:priv_AddDB("Ores", 201735); -- Arcane Wizard-Iron Ingot
  db:priv_AddDB("Ores", 200263); -- Arcane Zinc Ingot
  db:priv_AddDB("Ores", 201748); -- Arcane Rune Obsidian Ingot - 56
  db:priv_AddDB("Ores", 202595); -- Arcane Mica Ingot - 61
  db:priv_AddDB("Ores", 208239); -- Arcane Olivine Ingot - 61
  db:priv_AddDB("Ores", 240319); -- Arcane Purple Agate Crystal Ingot - 66
  db:priv_AddDB("Ores", 241437); -- Runen-Olegansteinbarren - 69
  db:priv_AddDB("Ores", 241443); -- Runen-Zgelkristallbarren - 69
 -- Orange
  db:priv_AddDB("Ores", 200261); -- Tempered Abyss-Mercury Ingot
  db:priv_AddDB("Ores", 200251); -- Tempered Copper Ingot
  db:priv_AddDB("Ores", 202583); -- Tempered Cyanide Ingot
  db:priv_AddDB("Ores", 200253); -- Tempered Dark Crystal Ingot
  db:priv_AddDB("Ores", 202582); -- Tempered Flame Dust Ingot
  db:priv_AddDB("Ores", 202587); -- Tempered Frost Crystal Ingot
  db:priv_AddDB("Ores", 200248); -- Tempered Iron Ingot
  db:priv_AddDB("Ores", 202586); -- Tempered Mithril Ingot
  db:priv_AddDB("Ores", 200259); -- Tempered Moon Silver Ingot
  db:priv_AddDB("Ores", 202585); -- Tempered Mysticite Ingot
  db:priv_AddDB("Ores", 202584); -- Tempered Rock Crystal Ingot
  db:priv_AddDB("Ores", 200255); -- Tempered Silver Ingot
  db:priv_AddDB("Ores", 200240); -- Tempered Tin Ingot
  db:priv_AddDB("Ores", 200257); -- Tempered Wizard-Iron Ingot
  db:priv_AddDB("Ores", 200233); -- Tempered Zinc Ingot
  db:priv_AddDB("Ores", 200262); -- Tempered Rune Obsidian Ingot - 56
  db:priv_AddDB("Ores", 202588); -- Tempered Mica Ingot - 61
  db:priv_AddDB("Ores", 208238); -- Tempered Olivine Ingot - 61
  db:priv_AddDB("Ores", 240318); -- Tempered Purple Agate Crystal Ingot - 66
  db:priv_AddDB("Ores", 241436); -- Gehrteter Olegansteinbarren - 69
  db:priv_AddDB("Ores", 241442); -- Gehrteter Zgelkristallbarren - 69
  -- Purple
  db:priv_AddDB("Ores", 201744); -- Abyss-Mercury Ingot
  db:priv_AddDB("Ores", 201739); -- Copper Ingot
  db:priv_AddDB("Ores", 202576); -- Cyanide Ingot
  db:priv_AddDB("Ores", 201740); -- Dark Crystal Ingot
  db:priv_AddDB("Ores", 202575); -- Flame Dust Ingot
  db:priv_AddDB("Ores", 202580); -- Frost Crystal Ingot
  db:priv_AddDB("Ores", 201738); -- Iron Ingot
  db:priv_AddDB("Ores", 202579); -- Mithril Ingot
  db:priv_AddDB("Ores", 201743); -- Moon Silver Ingot
  db:priv_AddDB("Ores", 202578); -- Mysticite Ingot
  db:priv_AddDB("Ores", 202577); -- Rock Crystal Ingot
  db:priv_AddDB("Ores", 201741); -- Silver Ingot
  db:priv_AddDB("Ores", 201737); -- Tin Ingot
  db:priv_AddDB("Ores", 201742); -- Wizard-Iron Ingot
  db:priv_AddDB("Ores", 201736); -- Zinc Ingot
  db:priv_AddDB("Ores", 201745); -- Rune Obsidian Ingot - 56
  db:priv_AddDB("Ores", 208237); -- Olivine Ingot - 61
  db:priv_AddDB("Ores", 202581); -- Mica Ingot - 61
  db:priv_AddDB("Ores", 240317); -- Purple Agate Crystal Ingot - 66
  db:priv_AddDB("Ores", 241435); -- Olegansteinbarren - 69
  db:priv_AddDB("Ores", 241441); -- Zgelkristallbarren - 69
  -- Blue
  db:priv_AddDB("Ores", 201731); -- Abyss-Mercury Nugget
  db:priv_AddDB("Ores", 201726); -- Copper Nugget
  db:priv_AddDB("Ores", 202569); -- Cyanide Nugget
  db:priv_AddDB("Ores", 201727); -- Dark Crystal Nugget
  db:priv_AddDB("Ores", 202568); -- Flame Dust Nugget
  db:priv_AddDB("Ores", 202573); -- Frost Crystal Nugget
  db:priv_AddDB("Ores", 201725); -- Iron Nugget
  db:priv_AddDB("Ores", 202572); -- Mithril Nugget
  db:priv_AddDB("Ores", 201730); -- Moon Silver Nugget
  db:priv_AddDB("Ores", 202571); -- Mysticite Nugget
  db:priv_AddDB("Ores", 202570); -- Rock Crystal Nugget
  db:priv_AddDB("Ores", 201728); -- Silver Nugget
  db:priv_AddDB("Ores", 201724); -- Tin Nugget
  db:priv_AddDB("Ores", 201729); -- Wizard-Iron Nugget
  db:priv_AddDB("Ores", 201723); -- Zinc Nugget
  db:priv_AddDB("Ores", 201732); -- Rune Obsidian Nugget - 56
  db:priv_AddDB("Ores", 202574); -- Mica Nugget - 61
  db:priv_AddDB("Ores", 208236); -- Olivine Stone - 61
  db:priv_AddDB("Ores", 240316); -- Purpurroter Achatkristallklumpen - 66
  db:priv_AddDB("Ores", 241434); -- Olegansteinfragment - 69
  db:priv_AddDB("Ores", 241440); -- Zgelkristallfragment - 69
  -- Green
  db:priv_AddDB("Ores", 201720); -- Abyss-Mercury Sand
  db:priv_AddDB("Ores", 201714); -- Copper Sand
  db:priv_AddDB("Ores", 202562); -- Cyanide Sand
  db:priv_AddDB("Ores", 201715); -- Dark Crystal Sand
  db:priv_AddDB("Ores", 202561); -- Flame Dust Sand
  db:priv_AddDB("Ores", 202566); -- Frost Crystal Sand
  db:priv_AddDB("Ores", 201713); -- Iron Sand
  db:priv_AddDB("Ores", 202565); -- Mithrial Sand
  db:priv_AddDB("Ores", 201718); -- Moon Silver Sand
  db:priv_AddDB("Ores", 202564); -- Mysticite Sand
  db:priv_AddDB("Ores", 202563); -- Rock Crystal Sand
  db:priv_AddDB("Ores", 201716); -- Silver Sand
  db:priv_AddDB("Ores", 201711); -- Tin Sand
  db:priv_AddDB("Ores", 201717); -- Wizard-Iron Sand
  db:priv_AddDB("Ores", 201710); -- Zinc Sand
  db:priv_AddDB("Ores", 201721); -- Rune Obsidian Sand - 56
  db:priv_AddDB("Ores", 202567); -- Mica Sand - 61
  db:priv_AddDB("Ores", 208235); -- Olivine Sand - 61
  db:priv_AddDB("Ores", 240315); -- Purpurroter Achatkristallsand - 66
  db:priv_AddDB("Ores", 241433); -- Olegansteinsand - 69
  db:priv_AddDB("Ores", 241439); -- Zgelkristallsand - 69
  -- White
  db:priv_AddDB("Ores", 200264); -- Abyss-Mercury
  db:priv_AddDB("Ores", 200236); -- Copper Ore
  db:priv_AddDB("Ores", 200506); -- Cyanide
  db:priv_AddDB("Ores", 200238); -- Dark Crystal
  db:priv_AddDB("Ores", 200507); -- Flame Dust
  db:priv_AddDB("Ores", 202315); -- Frost Crystal
  db:priv_AddDB("Ores", 200234); -- Iron Ore
  db:priv_AddDB("Ores", 200265); -- Mithril
  db:priv_AddDB("Ores", 200244); -- Moon Silver Ore
  db:priv_AddDB("Ores", 200269); -- Mysticite
  db:priv_AddDB("Ores", 200249); -- Rock Crystal
  db:priv_AddDB("Ores", 200239); -- Silver Ore
  db:priv_AddDB("Ores", 200232); -- Tin Ore
  db:priv_AddDB("Ores", 200242); -- Wizard-Iron Ore
  db:priv_AddDB("Ores", 200230); -- Zinc Ore
  db:priv_AddDB("Ores", 200268); -- Rune Obsidian Ore - 56
  db:priv_AddDB("Ores", 202316); -- Mica - 61
  db:priv_AddDB("Ores", 208234); -- Olivine - 61
  db:priv_AddDB("Ores", 240314); -- Purpurroter Achatkristall - 66
  db:priv_AddDB("Ores", 241432); -- Oleganstein - 69
  db:priv_AddDB("Ores", 241438); -- Zgelkristall - 69
end;

-- Wood
local function priv_AddWood(db)
  -- Brown
  db:priv_AddDB("Wood", 200321); -- Exquisite Ash Plank - 1
  db:priv_AddDB("Wood", 202624); -- Exquisite Chime Wood Plank - 1
  db:priv_AddDB("Wood", 200323); -- Exquisite Willow Plank - 8
  db:priv_AddDB("Wood", 202625); -- Exquisite Stone Rotan Plank - 11
  db:priv_AddDB("Wood", 200324); -- Exquisite Maple Plank - 14
  db:priv_AddDB("Wood", 200325); -- Exquisite Oak Plank - 20
  db:priv_AddDB("Wood", 202626); -- Exquisite Redwood Plank - 21
  db:priv_AddDB("Wood", 200327); -- Exquisite Pine Plank - 26
  db:priv_AddDB("Wood", 202627); -- Exquisite Dragon Beard Root Plank - 31
  db:priv_AddDB("Wood", 200328); -- Exquisite Holly Plank - 32
  db:priv_AddDB("Wood", 200330); -- Exquisite Yew Plank - 38
  db:priv_AddDB("Wood", 202628); -- Exquisite Sagewood Plank - 41
  db:priv_AddDB("Wood", 201755); -- Exquisite Tarslin Demon Wood Plank - 44
  db:priv_AddDB("Wood", 201756); -- Exquisite Dragonlair Wood Plank - 51
  db:priv_AddDB("Wood", 202629); -- Exquisite Fairywood Plank - 51
  db:priv_AddDB("Wood", 201771); -- Exquisite Ancient Spirit Oak Wood Plank - 56
  db:priv_AddDB("Wood", 202630); -- Exquisite Aeontree Plank - 61
  db:priv_AddDB("Wood", 208245); -- Exquisite Fastan Banyan Plank - 63
  db:priv_AddDB("Wood", 240328); -- Exquisites Janost-Zypressenbrett - 69
  db:priv_AddDB("Wood", 241431); -- Exquisites Pinienholzbrett - 69
  -- Orange
  db:priv_AddDB("Wood", 200294); -- Refined Ash Plank
  db:priv_AddDB("Wood", 202617); -- Refined Chime Wood Plank
  db:priv_AddDB("Wood", 202620); -- Refined Dragon Beard Root Plank
  db:priv_AddDB("Wood", 200317); -- Refined Dragonlair Wood Plank
  db:priv_AddDB("Wood", 202622); -- Refined Fairywood Plank
  db:priv_AddDB("Wood", 200309); -- Refined Holly Plank
  db:priv_AddDB("Wood", 200303); -- Refined Maple Plank
  db:priv_AddDB("Wood", 200305); -- Refined Oak Plank
  db:priv_AddDB("Wood", 200308); -- Refined Pine Plank
  db:priv_AddDB("Wood", 202619); -- Refined Redwood Plank
  db:priv_AddDB("Wood", 202621); -- Refined Sagewood Plank
  db:priv_AddDB("Wood", 202618); -- Refined Stone Rotan Plank
  db:priv_AddDB("Wood", 200315); -- Refined Tarslin Demon Wood Plank
  db:priv_AddDB("Wood", 200301); -- Refined Willow Plank
  db:priv_AddDB("Wood", 200314); -- Refined Yew Plank
  db:priv_AddDB("Wood", 200319); -- Refined Ancient Spirit Oak Plank
  db:priv_AddDB("Wood", 202623); -- Refined Aeontree Plank - 61
  db:priv_AddDB("Wood", 208244); -- Refined Fastan Banyan Plank - 63
  db:priv_AddDB("Wood", 240327); -- Gehobeltes Janost-Zypressenbrett - 69
  db:priv_AddDB("Wood", 241430); -- Gehobeltes Pinienholzbrett - 69
  -- Purple
  db:priv_AddDB("Wood", 201773); -- Ash Plank
  db:priv_AddDB("Wood", 202610); -- Chime Wood Plank
  db:priv_AddDB("Wood", 202613); -- Dragon Beard Root Plank
  db:priv_AddDB("Wood", 201781); -- Dragonlair Wood Plank
  db:priv_AddDB("Wood", 202615); -- Fairywood Plank
  db:priv_AddDB("Wood", 201778); -- Holly Plank
  db:priv_AddDB("Wood", 201775); -- Maple Plank
  db:priv_AddDB("Wood", 201776); -- Oak Plank
  db:priv_AddDB("Wood", 201777); -- Pine Plank
  db:priv_AddDB("Wood", 202612); -- Redwood Plank
  db:priv_AddDB("Wood", 202614); -- Sagewood Plank
  db:priv_AddDB("Wood", 202611); -- Stone Rotan Plank
  db:priv_AddDB("Wood", 201780); -- Tarslin Demon Wood Plank
  db:priv_AddDB("Wood", 201774); -- Willow Plank
  db:priv_AddDB("Wood", 201779); -- Yew Plank
  db:priv_AddDB("Wood", 201782); -- Ancient Spirit Oak Plank
  db:priv_AddDB("Wood", 202616); -- Aeontree Plank - 61
  db:priv_AddDB("Wood", 208243); -- Fastan Banyan Plank - 63
  db:priv_AddDB("Wood", 240326); -- Janost-Zypressenbrett - 66
  db:priv_AddDB("Wood", 241429); -- Pinienholzbrett - 69
  -- Blue
  db:priv_AddDB("Wood", 201761); -- Ash Lumber
  db:priv_AddDB("Wood", 202603); -- Chime Wood Lumber
  db:priv_AddDB("Wood", 202606); -- Dragon Beard Root Lumber
  db:priv_AddDB("Wood", 201769); -- Dragonlair Wood Lumber
  db:priv_AddDB("Wood", 202608); -- Fairywood Lumber
  db:priv_AddDB("Wood", 201766); -- Holly Lumber
  db:priv_AddDB("Wood", 201763); -- Maple Lumber
  db:priv_AddDB("Wood", 201764); -- Oak Lumber
  db:priv_AddDB("Wood", 201765); -- Pine Lumber
  db:priv_AddDB("Wood", 202605); -- Redwood Lumber
  db:priv_AddDB("Wood", 202607); -- Sagewood Lumber
  db:priv_AddDB("Wood", 202604); -- Stone Rotan Lumber
  db:priv_AddDB("Wood", 201768); -- Tarslin Demon Wood Lumber
  db:priv_AddDB("Wood", 201762); -- Willow Lumber
  db:priv_AddDB("Wood", 201767); -- Yew Lumber
  db:priv_AddDB("Wood", 201770); -- Ancient Spirit Oak Lumber
  db:priv_AddDB("Wood", 202609); -- Aeontree Lumber - 61
  db:priv_AddDB("Wood", 208242); -- Fastan Banyan Lumber - 63
  db:priv_AddDB("Wood", 240325); -- Janost-Zypressenbauholz - 69
  db:priv_AddDB("Wood", 241428); -- Pinienholz - 69
  -- Green
  db:priv_AddDB("Wood", 201749); -- Ash Timber - 1
  db:priv_AddDB("Wood", 202596); -- Chime Wood Timber - 1
  db:priv_AddDB("Wood", 201750); -- Willow Timber - 8
  db:priv_AddDB("Wood", 202597); -- Stone Rotan Timber - 11
  db:priv_AddDB("Wood", 201751); -- Maple Timber - 14
  db:priv_AddDB("Wood", 201752); -- Oak Timber - 20
  db:priv_AddDB("Wood", 202598); -- Redwood Timber - 21
  db:priv_AddDB("Wood", 201754); -- Pine Timber - 26
  db:priv_AddDB("Wood", 202599); -- Dragon Beard Root Timber - 31
  db:priv_AddDB("Wood", 201753); -- Holly Timber - 32
  db:priv_AddDB("Wood", 201757); -- Yew Timber - 38
  db:priv_AddDB("Wood", 202600); -- Sagewood Timber - 41
  db:priv_AddDB("Wood", 201758); -- Tarslin Demon Wood Timber - 44
  db:priv_AddDB("Wood", 201759); -- Dragonlair Wood Timber - 51
  db:priv_AddDB("Wood", 202601); -- Fairywood Timber - 51
  db:priv_AddDB("Wood", 201760); -- Ancient Spirit Oak Timber - 56
  db:priv_AddDB("Wood", 202602); -- Aeontree Timber - 61
  db:priv_AddDB("Wood", 208241); -- Fastan Banyan Timber - 63
  db:priv_AddDB("Wood", 240324); -- Janost-Zypressennutzholz - 69
  db:priv_AddDB("Wood", 241427); -- Pinienrohholz - 69
  -- White
  db:priv_AddDB("Wood", 200293); -- Ash Wood - 1
  db:priv_AddDB("Wood", 200508); -- Chime Wood - 1
  db:priv_AddDB("Wood", 200295); -- Willow Wood - 8
  db:priv_AddDB("Wood", 200509); -- Stone Rotan Wood - 11
  db:priv_AddDB("Wood", 200297); -- Maple Wood - 14
  db:priv_AddDB("Wood", 200300); -- Oak Wood - 20
  db:priv_AddDB("Wood", 200326); -- Redwood - 21
  db:priv_AddDB("Wood", 200304); -- Pine Wood - 26
  db:priv_AddDB("Wood", 200332); -- Dragon Beard Root Wood - 31
  db:priv_AddDB("Wood", 200298); -- Holly Wood - 32
  db:priv_AddDB("Wood", 200306); -- Yew Wood - 38
  db:priv_AddDB("Wood", 200331); -- Sagewood - 41
  db:priv_AddDB("Wood", 200307); -- Tarslin Demon Wood - 44
  db:priv_AddDB("Wood", 202317); -- Fairywood - 51
  db:priv_AddDB("Wood", 200310); -- Dragonlair Wood - 51
  db:priv_AddDB("Wood", 200312); -- Ancient Spirit Oak Wood - 56
  db:priv_AddDB("Wood", 202318); -- Aeontree Wood - 61
  db:priv_AddDB("Wood", 208240); -- Fastan Banyan - 63
  db:priv_AddDB("Wood", 240323); -- Janost-Zypressenholz - 69
  db:priv_AddDB("Wood", 241426); -- Pinie - 69
end;

-- Herbs
local function priv_AddHerbs(db)
  -- Brown
  db:priv_AddDB("Herbs", 201793); -- Barsaleaf Essence
  db:priv_AddDB("Herbs", 200367); -- Beetroot Essence
  db:priv_AddDB("Herbs", 202660); -- Bison Grass Essence
  db:priv_AddDB("Herbs", 200368); -- Bitterleaf Essence
  db:priv_AddDB("Herbs", 201810); -- Dragon Mallow Essence
  db:priv_AddDB("Herbs", 201790); -- Dusk Orchid Essence
  db:priv_AddDB("Herbs", 202661); -- Foloin Nut Essence
  db:priv_AddDB("Herbs", 202662); -- Green Thistle Essence
  db:priv_AddDB("Herbs", 201795); -- Moon Orchid Essence
  db:priv_AddDB("Herbs", 200366); -- Mountain Demon Grass Essence
  db:priv_AddDB("Herbs", 201787); -- Moxa Essence
  db:priv_AddDB("Herbs", 202659); -- Rosemary Essence
  db:priv_AddDB("Herbs", 202663); -- Straw Mushroom Essence - 41
  db:priv_AddDB("Herbs", 201809); -- Sinners Palm Essence - 44
  db:priv_AddDB("Herbs", 202664); -- Mirror Sedge Essence - 51
  db:priv_AddDB("Herbs", 201811); -- Thorn Apple Essence - 56
  db:priv_AddDB("Herbs", 202665); -- Goblin Grass Essence - 61
  db:priv_AddDB("Herbs", 208251); -- Verbena Essence - 63
  db:priv_AddDB("Herbs", 241413); -- Donnerhufgrasessenz - 69
  db:priv_AddDB("Herbs", 241419); -- Schwalbenschwanzblumenessenz - 69
  -- Orange
  db:priv_AddDB("Herbs", 200344); -- Pure Barsleaf Extract
  db:priv_AddDB("Herbs", 200337); -- Pure Beetroot Extract
  db:priv_AddDB("Herbs", 202653); -- Pure Bison Grass Extract
  db:priv_AddDB("Herbs", 200339); -- Pure Bitterleaf Extract
  db:priv_AddDB("Herbs", 200360); -- Pure Dragon Mallow Extract
  db:priv_AddDB("Herbs", 200341); -- Pure Dusk Orchid Extract
  db:priv_AddDB("Herbs", 202654); -- Pure Foloin Nut Extract
  db:priv_AddDB("Herbs", 202655); -- Pure Green Thistle Extract
  db:priv_AddDB("Herbs", 200355); -- Pure Moon Orchid Extract
  db:priv_AddDB("Herbs", 200336); -- Pure Mountain Demon Grass Extract
  db:priv_AddDB("Herbs", 200340); -- Pure Moxa Extract
  db:priv_AddDB("Herbs", 202652); -- Pure Rosemary Extract
  db:priv_AddDB("Herbs", 202656); -- Pure Straw Mushroom Extract - 41
  db:priv_AddDB("Herbs", 200356); -- Pure Sinners Palm Extract - 44
  db:priv_AddDB("Herbs", 202657); -- Pure Mirror Sedge Extract - 51
  db:priv_AddDB("Herbs", 200364); -- Pure Thorn Apple Extract - 56
  db:priv_AddDB("Herbs", 202658); -- Pure Goblin Grass Extract - 61
  db:priv_AddDB("Herbs", 208250); -- Pure Verbena Extract - 63
  db:priv_AddDB("Herbs", 241412); -- Reiner Donnerhufgrasextrakt - 69
  db:priv_AddDB("Herbs", 241418); -- Reiner Schwalbenschwanzblumenextrakt - 69
  -- Purple
  db:priv_AddDB("Herbs", 201818); -- Barsleaf Extract
  db:priv_AddDB("Herbs", 201814); -- Beetroot Extract
  db:priv_AddDB("Herbs", 202646); -- Bison Grass Extract
  db:priv_AddDB("Herbs", 201815); -- Bitterleaf Extract
  db:priv_AddDB("Herbs", 201821); -- Dragon Mallow Extract
  db:priv_AddDB("Herbs", 201817); -- Dusk Orchid Extract
  db:priv_AddDB("Herbs", 202647); -- Foloin Nut Extract
  db:priv_AddDB("Herbs", 202648); -- Green Thistle Extract
  db:priv_AddDB("Herbs", 201819); -- Moon Orchid Extract
  db:priv_AddDB("Herbs", 201813); -- Mountain Demon Grass Extract
  db:priv_AddDB("Herbs", 201816); -- Moxa Extract
  db:priv_AddDB("Herbs", 202645); -- Rosemary Extract
  db:priv_AddDB("Herbs", 202649); -- Straw Mushroom Extract - 41
  db:priv_AddDB("Herbs", 201820); -- Sinners Palm Extract - 44
  db:priv_AddDB("Herbs", 202650); -- Mirror Sedge Extract - 51
  db:priv_AddDB("Herbs", 201822); -- Thorn Apple Extract - 56
  db:priv_AddDB("Herbs", 202651); -- Goblin Grass Extract - 61
  db:priv_AddDB("Herbs", 208249); -- Verbena Extract - 63
  db:priv_AddDB("Herbs", 241411); -- Donnerhufgrasextrakt - 69
  db:priv_AddDB("Herbs", 241417); -- Schwalbenschwanzblumenextrakt - 69
  -- Blue
  db:priv_AddDB("Herbs", 201804); -- Barsleaf Sap
  db:priv_AddDB("Herbs", 201800); -- Beetroot Sap
  db:priv_AddDB("Herbs", 202639); -- Bison Grass Sap
  db:priv_AddDB("Herbs", 201801); -- Bitterleaf Sap
  db:priv_AddDB("Herbs", 201807); -- Dragon Mallow Sap
  db:priv_AddDB("Herbs", 201803); -- Dusk Orchid Sap
  db:priv_AddDB("Herbs", 202640); -- Foloin Nut Sap
  db:priv_AddDB("Herbs", 202641); -- Green Thistle Sap
  db:priv_AddDB("Herbs", 201805); -- Moon Orchid Sap
  db:priv_AddDB("Herbs", 201799); -- Mountain Demon Grass Sap
  db:priv_AddDB("Herbs", 201802); -- Moxa Sap
  db:priv_AddDB("Herbs", 202638); -- Rosemary Sap
  db:priv_AddDB("Herbs", 202642); -- Straw Mushroom Sap - 41
  db:priv_AddDB("Herbs", 201806); -- Sinners Palm Sap - 44
  db:priv_AddDB("Herbs", 202643); -- Mirror Sedge Sap - 51
  db:priv_AddDB("Herbs", 201808); -- Thorn Apple Juice - 56
  db:priv_AddDB("Herbs", 202644); -- Goblin Grass Sap - 61
  db:priv_AddDB("Herbs", 208248); -- Verbena Juice - 63
  db:priv_AddDB("Herbs", 241410); -- Donnerhufgrassaft - 69
  db:priv_AddDB("Herbs", 241416); -- Schwalbenschwanzblumensaft - 69
  -- Green
  db:priv_AddDB("Herbs", 201792); -- Barsleaf Bundle
  db:priv_AddDB("Herbs", 201786); -- Beetroot Bundle
  db:priv_AddDB("Herbs", 202632); -- Bison Grass Bundle
  db:priv_AddDB("Herbs", 201789); -- Bitterleaf Bundle
  db:priv_AddDB("Herbs", 201797); -- Dragon Mallow Bundle
  db:priv_AddDB("Herbs", 201791); -- Dusk Orchid Bundle
  db:priv_AddDB("Herbs", 202633); -- Foloin Nut Bundle
  db:priv_AddDB("Herbs", 202634); -- Green Thistle Bundle
  db:priv_AddDB("Herbs", 201794); -- Moon Orchid Bundle
  db:priv_AddDB("Herbs", 201785); -- Mountain Demon Grass Bundle
  db:priv_AddDB("Herbs", 201788); -- Moxa Bundle
  db:priv_AddDB("Herbs", 202631); -- Rosemary Bundle
  db:priv_AddDB("Herbs", 202635); -- Straw Mushroom Bundle - 41
  db:priv_AddDB("Herbs", 201796); -- Sinners Palm Bundle - 44
  db:priv_AddDB("Herbs", 202636); -- Mirror Sedge Bundle - 51
  db:priv_AddDB("Herbs", 201798); -- Thorn Apple Bundle - 56
  db:priv_AddDB("Herbs", 202637); -- Goblin Grass Bundle - 61
  db:priv_AddDB("Herbs", 208247); -- Bouquet of Verbena - 63
  db:priv_AddDB("Herbs", 241409); -- Donnerhufgrasbndel - 69
  db:priv_AddDB("Herbs", 241415); -- Schwalbenschwanzblumenstrau - 69
  -- White
  db:priv_AddDB("Herbs", 200342); -- Barsleaf
  db:priv_AddDB("Herbs", 200334); -- Beetroot
  db:priv_AddDB("Herbs", 202553); -- Bison Grass
  db:priv_AddDB("Herbs", 200333); -- Bitterleaf
  db:priv_AddDB("Herbs", 200349); -- Dragon Mallow
  db:priv_AddDB("Herbs", 200343); -- Dusk Orchid
  db:priv_AddDB("Herbs", 202554); -- Foloin Nut
  db:priv_AddDB("Herbs", 202555); -- Green Thistle
  db:priv_AddDB("Herbs", 200345); -- Moon Orchid
  db:priv_AddDB("Herbs", 200335); -- Mountain Demon Grass
  db:priv_AddDB("Herbs", 200338); -- Moxa
  db:priv_AddDB("Herbs", 202552); -- Rosemary
  db:priv_AddDB("Herbs", 202556); -- Straw Mushroom - 41
  db:priv_AddDB("Herbs", 200346); -- Sinners Palm - 44
  db:priv_AddDB("Herbs", 202557); -- Mirror Sedge - 51
  db:priv_AddDB("Herbs", 200350); -- Thorn Apple - 56
  db:priv_AddDB("Herbs", 202558); -- Goblin Grass - 61
  db:priv_AddDB("Herbs", 208246); -- Verbena - 63
  db:priv_AddDB("Herbs", 241408); -- Donnerhufgras - 69
  db:priv_AddDB("Herbs", 241414); -- Schwalbenschwanzblume - 69
end;

-- Raw Materials
local function priv_AddRawMaterials(db)
  -- Orange
  db:priv_AddDB("RawMaterials", 205829); -- Feyenloth's Growth
  db:priv_AddDB("RawMaterials", 205831); -- Feyenloth's Rage
  db:priv_AddDB("RawMaterials", 205828); -- Feyenloth's Rest
  db:priv_AddDB("RawMaterials", 205830); -- Feyenloth's Return
  db:priv_AddDB("RawMaterials", 205827); -- Feyenloth's Tranquility
  db:priv_AddDB("RawMaterials", 205832); -- Strange Magical Leaf
  -- Purple
  db:priv_AddDB("RawMaterials", 205729); -- Feyenloth's Fear
  db:priv_AddDB("RawMaterials", 205823); -- Payer of Life
  db:priv_AddDB("RawMaterials", 205826); -- Prayer of Protection
  db:priv_AddDB("RawMaterials", 205822); -- Prayer of Repletion
  db:priv_AddDB("RawMaterials", 205811); -- Prayer of Resting
  db:priv_AddDB("RawMaterials", 205825); -- Prayer of Struggle
  db:priv_AddDB("RawMaterials", 205824); -- Prayer of Weaving
  db:priv_AddDB("RawMaterials", 203018); -- Rune Crystal
  -- Blue
  db:priv_AddDB("RawMaterials", 202125); -- Aloeswood Fiber
  db:priv_AddDB("RawMaterials", 202117); -- Alpha Metal Stone
  db:priv_AddDB("RawMaterials", 202112); -- Aluminum Nail
  db:priv_AddDB("RawMaterials", 202132); -- Amber Fiber
  db:priv_AddDB("RawMaterials", 202128); -- Balloonflower Fiber
  db:priv_AddDB("RawMaterials", 202118); -- Beta Metal Stone
  db:priv_AddDB("RawMaterials", 202126); -- Calamus Fiber
  db:priv_AddDB("RawMaterials", 202129); -- Chestnut Fiber
  db:priv_AddDB("RawMaterials", 202110); -- Copper Nail
  db:priv_AddDB("RawMaterials", 202986); -- Crushed Purple Jade
  db:priv_AddDB("RawMaterials", 202120); -- Delta Metal Stone
  db:priv_AddDB("RawMaterials", 203017); -- Elemental Crystal
  db:priv_AddDB("RawMaterials", 202121); -- Epsilon Metal Stone
  db:priv_AddDB("RawMaterials", 202123); -- Eta Metal Stone
  db:priv_AddDB("RawMaterials", 205728); -- Feyenloth's Broken Soul
  db:priv_AddDB("RawMaterials", 202988); -- Flame Crystal Sand
  db:priv_AddDB("RawMaterials", 202119); -- Gamma Metal Stone
  db:priv_AddDB("RawMaterials", 203014); -- Gem From Hammertooth Mask
  db:priv_AddDB("RawMaterials", 202987); -- Gloomy Crystal Sand
  db:priv_AddDB("RawMaterials", 202116); -- Gold Nail
  db:priv_AddDB("RawMaterials", 202111); -- Iron Nail
  db:priv_AddDB("RawMaterials", 203013); -- Kobold Crown Fragment
  db:priv_AddDB("RawMaterials", 202131); -- Lapis Lazuli Fiber
  db:priv_AddDB("RawMaterials", 202130); -- Pine Fiber
  db:priv_AddDB("RawMaterials", 202115); -- Platinum Nail
  db:priv_AddDB("RawMaterials", 202990); -- Refined Fire Essence Nugget
  db:priv_AddDB("RawMaterials", 202991); -- Refined Water Essence Nugget
  db:priv_AddDB("RawMaterials", 202989); -- Sharp Gravel
  db:priv_AddDB("RawMaterials", 202114); -- Silver Nail
  db:priv_AddDB("RawMaterials", 202984); -- Smashed Fire Essence Fragment
  db:priv_AddDB("RawMaterials", 202985); -- Smashed Water Essence Fragment
  db:priv_AddDB("RawMaterials", 202113); -- Steel Nail
  db:priv_AddDB("RawMaterials", 202104); -- Stone of Fire Planet
  db:priv_AddDB("RawMaterials", 202105); -- Stone of the Earth Planet
  db:priv_AddDB("RawMaterials", 202101); -- Stone of the Golden Planet
  db:priv_AddDB("RawMaterials", 202107); -- Stone of the Planet of the Heavnly King
  db:priv_AddDB("RawMaterials", 202108); -- Stone of the Planet of the King of Darkness
  db:priv_AddDB("RawMaterials", 202102); -- Stone of the Tree Planet
  db:priv_AddDB("RawMaterials", 202106); -- Stone of the Water King Planet
  db:priv_AddDB("RawMaterials", 202103); -- Stone of the Water Planet
  db:priv_AddDB("RawMaterials", 202992); -- Tempered Fire Essence Nugget
  db:priv_AddDB("RawMaterials", 202993); -- Tempered Water Essence Nugget
  db:priv_AddDB("RawMaterials", 202124); -- Thet Metal Stone
  db:priv_AddDB("RawMaterials", 202127); -- Tulipwood Fiber
  db:priv_AddDB("RawMaterials", 202109); -- Wooden Nail
  db:priv_AddDB("RawMaterials", 202122); -- Zeta Metal Stone
  -- Green
  db:priv_AddDB("RawMaterials", 203015); -- Assassin's Sword Hilt
  db:priv_AddDB("RawMaterials", 203011); -- Broken Goblin Staff
  db:priv_AddDB("RawMaterials", 203008); -- Crimson Hog Hide
  db:priv_AddDB("RawMaterials", 203012); -- Damaged Fine Repeating Crossbow
  db:priv_AddDB("RawMaterials", 203009); -- Damaged Kobold Battle Axe
  db:priv_AddDB("RawMaterials", 203016); -- Gomio's Rucksack
  db:priv_AddDB("RawMaterials", 203005); -- Low Magic Element
  db:priv_AddDB("RawMaterials", 203007); -- Low Rune Power
  db:priv_AddDB("RawMaterials", 203019); -- Medium Magic Element
  db:priv_AddDB("RawMaterials", 203020); -- Medium Rune Power
  db:priv_AddDB("RawMaterials", 202994); -- Very Low Magic Element
  db:priv_AddDB("RawMaterials", 203006); -- Very Low Rune Power
  db:priv_AddDB("RawMaterials", 203010); -- Worn Kobold Robe
  -- White
  db:priv_AddDB("RawMaterials", 201952); -- Alchemy Bottle
  db:priv_AddDB("RawMaterials", 203419); -- Animal Meat
  db:priv_AddDB("RawMaterials", 200473); -- Apple
  db:priv_AddDB("RawMaterials", 200534); -- Arapaima
  db:priv_AddDB("RawMaterials", 200532); -- Bass
  db:priv_AddDB("RawMaterials", 201951); -- Beaker
  db:priv_AddDB("RawMaterials", 200766); -- Bird Meat
  db:priv_AddDB("RawMaterials", 200530); -- Blue Trout
  db:priv_AddDB("RawMaterials", 200491); -- Celery
  db:priv_AddDB("RawMaterials", 203425); -- Cocoa
  db:priv_AddDB("RawMaterials", 200782); -- Cream
  db:priv_AddDB("RawMaterials", 200767); -- Delicious Worm Meat
  db:priv_AddDB("RawMaterials", 203421); -- Flour
  db:priv_AddDB("RawMaterials", 203418); -- Frog Meat
  db:priv_AddDB("RawMaterials", 203426); -- Garlic
  db:priv_AddDB("RawMaterials", 203423); -- Golden Flour
  db:priv_AddDB("RawMaterials", 200479); -- Grape
  db:priv_AddDB("RawMaterials", 201539); -- Green-spotted Fungus Bread
  db:priv_AddDB("RawMaterials", 203422); -- High Quality Flour
  db:priv_AddDB("RawMaterials", 201540); -- Highlands Demon Weed Seed
  db:priv_AddDB("RawMaterials", 200489); -- Lettuce
  db:priv_AddDB("RawMaterials", 203395); -- Magic Bottle
  db:priv_AddDB("RawMaterials", 203427); -- Mushroom
  db:priv_AddDB("RawMaterials", 201534); -- Newborn Boar Tusk
  db:priv_AddDB("RawMaterials", 203428); -- Oriental Tea Leaves
  db:priv_AddDB("RawMaterials", 201953); -- Philosopher's Egg
  db:priv_AddDB("RawMaterials", 200480); -- Pineapple
  db:priv_AddDB("RawMaterials", 203420); -- Rare Animal Meat
  db:priv_AddDB("RawMaterials", 200529); -- Salmon
  db:priv_AddDB("RawMaterials", 201950); -- Small Empty Bottle
  db:priv_AddDB("RawMaterials", 200528); -- Small Fish
  db:priv_AddDB("RawMaterials", 201537); -- Snow Frog Placenta
  db:priv_AddDB("RawMaterials", 200543); -- Spiny Lobster
  db:priv_AddDB("RawMaterials", 201536); -- Wandering Ent Bud
  db:priv_AddDB("RawMaterials", 203424); -- Witchcraft Sugar
  db:priv_AddDB("RawMaterials", 201538); -- Young Ostrich's Egg
end;

-- Production Runes
local function priv_AddProductionRunes(db)
  -- Purple
  db:priv_AddDB("ProductionRunes", 201086); -- Advanced Skill Reset Stone
  db:priv_AddDB("ProductionRunes", 202088); -- Bag of Activate-Runes
  db:priv_AddDB("ProductionRunes", 202091); -- Bag of Blend-Runes
  db:priv_AddDB("ProductionRunes", 202089); -- Bag of Disenchant-Runes
  db:priv_AddDB("ProductionRunes", 202087); -- Bag of Frost-Runes
  db:priv_AddDB("ProductionRunes", 202086); -- Bag of Link-Runes
  db:priv_AddDB("ProductionRunes", 202090); -- Bag of Purify-Runes
  db:priv_AddDB("ProductionRunes", 201971); -- Basic Skill Reset Stone
  db:priv_AddDB("ProductionRunes", 203035); -- Skill Reset Rune
  -- White
  db:priv_AddDB("ProductionRunes", 200852); -- Activate Rune
  db:priv_AddDB("ProductionRunes", 200855); -- Blend Rune
  db:priv_AddDB("ProductionRunes", 200856); -- Day & Night Rune
  db:priv_AddDB("ProductionRunes", 200853); -- Disenchant Rune
  db:priv_AddDB("ProductionRunes", 200851); -- Frost Rune
  db:priv_AddDB("ProductionRunes", 200850); -- Link Rune
  db:priv_AddDB("ProductionRunes", 200854); -- Purify Rune
  db:priv_AddDB("ProductionRunes", 200857); -- Season Rune
  db:priv_AddDB("ProductionRunes", 200858); -- Years Rune
end;

-- Supplies: Foods
local function priv_AddFoods(db)
  -- Purple
  db:priv_AddDB("Foods", 203127); -- Dexterity Pumpkin Pie
  db:priv_AddDB("Foods", 240365); -- Gebratenes Schweinekotlett
  db:priv_AddDB("Foods", 240366); -- Schweinerippchen
  db:priv_AddDB("Foods", 240368); -- Geschmortes Schweinefleisch
  db:priv_AddDB("Foods", 240369); -- Fisch mit Essig
  db:priv_AddDB("Foods", 240370); -- Pikantes Fischstaebchen
  db:priv_AddDB("Foods", 240371); -- Gelbfisch s-sauer
  db:priv_AddDB("Foods", 240372); -- Tofu-Dorsch
  -- Blue
  db:priv_AddDB("Foods", 200359); -- Hot Stew
  db:priv_AddDB("Foods", 201532); -- Surprising Broth
  db:priv_AddDB("Foods", 201533); -- Little Magic Biscuit
  -- Green
  db:priv_AddDB("Foods", 200085); -- Roasted Salty Fish
  db:priv_AddDB("Foods", 200086); -- Garlic Roasted Meat
  db:priv_AddDB("Foods", 200091); -- Salted Fish with Sauce
  db:priv_AddDB("Foods", 200092); -- Smoked Bacon with Herbs
  db:priv_AddDB("Foods", 200097); -- Crisp Honey-roasted Chicken
  db:priv_AddDB("Foods", 200098); -- Caviar Sandwich
  db:priv_AddDB("Foods", 200103); -- Deluxe Seafood
  db:priv_AddDB("Foods", 200104); -- Spicy Meatsauce Burrito
  db:priv_AddDB("Foods", 200109); -- Delicious Swamp Mix
  db:priv_AddDB("Foods", 200110); -- Unimaginable Salad
  db:priv_AddDB("Foods", 200115); -- Moti Blended Sausage
  db:priv_AddDB("Foods", 200116); -- Imperial Seafood Pie
  db:priv_AddDB("Foods", 200121); -- Doom's Banquet
  db:priv_AddDB("Foods", 203794); -- Roasted Bacon
  db:priv_AddDB("Foods", 203795); -- Juicy Roasted Wing
  db:priv_AddDB("Foods", 203796); -- Baked Seafood Pie
  db:priv_AddDB("Foods", 203797); -- Cyclops Burrito
  db:priv_AddDB("Foods", 203798); -- Flaming Sandwich
  db:priv_AddDB("Foods", 203799); -- Delicious Seafood Salad
  db:priv_AddDB("Foods", 203800); -- Superior Swamp Mix
  db:priv_AddDB("Foods", 203801); -- Miracle Salad
  db:priv_AddDB("Foods", 203802); -- Special Canyon Mix
  db:priv_AddDB("Foods", 203803); -- Scalok Sausage
  -- White
  db:priv_AddDB("Foods", 200083); -- Roasted Fish
  db:priv_AddDB("Foods", 200084); -- Roasted Meat
  db:priv_AddDB("Foods", 200089); -- Salted Fish
  db:priv_AddDB("Foods", 200090); -- Smoked Bacon
  db:priv_AddDB("Foods", 200095); -- Honey Roasted Chicken
  db:priv_AddDB("Foods", 200096); -- Fish Egg Sandwich
  db:priv_AddDB("Foods", 200101); -- Creamy Seafood Pie
  db:priv_AddDB("Foods", 200102); -- Meatsauce Burrito
  db:priv_AddDB("Foods", 200107); -- Swamp Mix
  db:priv_AddDB("Foods", 200108); -- Seaworm Salad
  db:priv_AddDB("Foods", 200113); -- General's Three-color Sausage
  db:priv_AddDB("Foods", 200114); -- Cheese Fishcake
  db:priv_AddDB("Foods", 200119); -- Dragon's Banquet
  db:priv_AddDB("Foods", 202239); -- Red Bean Rice Dumplings
  db:priv_AddDB("Foods", 202240); -- Egg Rice Dumplings
  db:priv_AddDB("Foods", 202241); -- Realgar Wine
  db:priv_AddDB("Foods", 202242); -- Aged Realgar Wine
  db:priv_AddDB("Foods", 203859); -- Wine
end;

-- Desserts
local function priv_AddDesserts(db)
  -- Blue
  db:priv_AddDB("Desserts", 200776); -- Necropolis Cake
  -- Green
  db:priv_AddDB("Desserts", 200125); -- Fruits and Cheese
  db:priv_AddDB("Desserts", 200126); -- Aromatic Fruit
  db:priv_AddDB("Desserts", 200129); -- Crisp Doughnuts
  db:priv_AddDB("Desserts", 200130); -- Sweet Fruit Bread
  db:priv_AddDB("Desserts", 200133); -- Garlic Bread with Herbs
  db:priv_AddDB("Desserts", 200134); -- Excellent Meat and Bread
  db:priv_AddDB("Desserts", 200137); -- Delicious Mushroom Pie
  db:priv_AddDB("Desserts", 200138); -- Rainbow Crystal Candy
  db:priv_AddDB("Desserts", 200141); -- Magic Fruit Pie
  db:priv_AddDB("Desserts", 200142); -- Forestsong Soft Cake
  db:priv_AddDB("Desserts", 200145); -- Exquisite Tea-scented Muffins
  db:priv_AddDB("Desserts", 200146); -- Exquisite Cocoa Shortbread
  db:priv_AddDB("Desserts", 200149); -- Laor Forest Tart
  db:priv_AddDB("Desserts", 200150); -- Serenstum
  db:priv_AddDB("Desserts", 207595); -- Bitter Dark Chocolate
  db:priv_AddDB("Desserts", 207596); -- Ordinary Chocolate
  db:priv_AddDB("Desserts", 207597); -- Milk Chocolate
  db:priv_AddDB("Desserts", 207662); -- Chocolate Cake
  db:priv_AddDB("Desserts", 207663); -- Cheesecake
  db:priv_AddDB("Desserts", 207664); -- Butter Cream Cake
  -- White
  db:priv_AddDB("Desserts", 200123); -- Sour Cheeseball
  db:priv_AddDB("Desserts", 200124); -- Herbal Fruit
  db:priv_AddDB("Desserts", 200127); -- Sweet Deep-fried Doughnuts
  db:priv_AddDB("Desserts", 200128); -- Bread and Jam
  db:priv_AddDB("Desserts", 200131); -- Garlic Bread
  db:priv_AddDB("Desserts", 200132); -- Meat and Bread
  db:priv_AddDB("Desserts", 200135); -- Mushroom Pie
  db:priv_AddDB("Desserts", 200136); -- Crystal Sugar
  db:priv_AddDB("Desserts", 200139); -- Exotic Fruit Pie
  db:priv_AddDB("Desserts", 200140); -- Green Soft Cake
  db:priv_AddDB("Desserts", 200143); -- Tea-scented Waffle
  db:priv_AddDB("Desserts", 200144); -- Cocoa Shortbread with Herbs
  db:priv_AddDB("Desserts", 200147); -- Wizard's Rations
  db:priv_AddDB("Desserts", 200148); -- Dreamland Fruit
  db:priv_AddDB("Desserts", 203023); -- Love Chocolate
  db:priv_AddDB("Desserts", 203281); -- Chocolate
  db:priv_AddDB("Desserts", 203282); -- Lolllipop
  db:priv_AddDB("Desserts", 203469); -- Snowflake Festival Hat Biscuit
  db:priv_AddDB("Desserts", 203470); -- Snowflake Festival Stocking Biscuit
  db:priv_AddDB("Desserts", 203520); -- Snowflake Festival Candy Cane
  db:priv_AddDB("Desserts", 203521); -- Snowflake Festival Heart Candy
  db:priv_AddDB("Desserts", 203522); -- Snowflake Festival Chocolate
  db:priv_AddDB("Desserts", 203523); -- Snowflake Festival Soft Candy
  db:priv_AddDB("Desserts", 203524); -- Snowflake Festival Lollipop
  db:priv_AddDB("Desserts", 203861); -- Cheese Cake
  db:priv_AddDB("Desserts", 203863); -- Chocolate Crisp
  db:priv_AddDB("Desserts", 240524); -- Milk Candy
  db:priv_AddDB("Desserts", 240525); -- Rainbow Lollipop
end;

-- Potions
local function priv_AddPotions(db)
  -- Purple
  db:priv_AddDB("Potions", 205975); -- Advanced Experience Potion (30 Days)
  db:priv_AddDB("Potions", 205977); -- Advanced Skill Potion (30 Days)
  db:priv_AddDB("Potions", 205974); -- Basic Experience Potion (30 Days)
  db:priv_AddDB("Potions", 203593); -- Basic Skill Potion
  db:priv_AddDB("Potions", 205976); -- Basic Skill Potion (30 Days)
  db:priv_AddDB("Potions", 201139); -- Big Angel's Sigh
  db:priv_AddDB("Potions", 201134); -- Experience Potion
  db:priv_AddDB("Potions", 202264); -- Experience Potion (1 Day)
  db:priv_AddDB("Potions", 205962); -- Experience Potion (30 Days)
  db:priv_AddDB("Potions", 202319); -- Experience Potion (7 Days)
  db:priv_AddDB("Potions", 201617); -- Expert Skill Potion
  db:priv_AddDB("Potions", 203574); -- High Quality Experience Potion
  db:priv_AddDB("Potions", 201608); -- Lasting Experience Potion
  db:priv_AddDB("Potions", 203592); -- Lesser Speed Mount Potion (30 Days)
  db:priv_AddDB("Potions", 203591); -- Lesser Speed Mount Potion (7 Days)
  db:priv_AddDB("Potions", 205978); -- Luck Potion (30 Days)
  db:priv_AddDB("Potions", 201618); -- Master Skill Potion
  db:priv_AddDB("Potions", 201460); -- Party Experience Potion
  db:priv_AddDB("Potions", 201141); -- Phoenix' Redemption
  db:priv_AddDB("Potions", 202322); -- Potent Luck Potion
  db:priv_AddDB("Potions", 201619); -- Potion of Luck
  db:priv_AddDB("Potions", 201609); -- Powerful Experience Potion
  db:priv_AddDB("Potions", 202670); -- Riding Medicine (30 Days)
  db:priv_AddDB("Potions", 202669); -- Riding Medicine (7 Days)
  db:priv_AddDB("Potions", 201610); -- Skill Potion
  db:priv_AddDB("Potions", 202320); -- Skill Potion (1 Day)
  db:priv_AddDB("Potions", 205963); -- Skill Potion (30 Days)
  db:priv_AddDB("Potions", 202321); -- Skill Potion (7 Days)
  db:priv_AddDB("Potions", 202540); -- St. Phoenix
  db:priv_AddDB("Potions", 203415); -- Transformation Potion - Giant Guardian
  db:priv_AddDB("Potions", 203416); -- Transformation Potion - Gingerbread Man
  db:priv_AddDB("Potions", 203417); -- Transformation Potion - Santa Claus
  db:priv_AddDB("Potions", 204533); -- Universal Potion
  -- Blue
  db:priv_AddDB("Potions", 200286); -- Shock Potion
  db:priv_AddDB("Potions", 202153); -- Universal Potion
  -- Green
  db:priv_AddDB("Potions", 200192); -- Ancient Spirit Water
  db:priv_AddDB("Potions", 200154); -- Basic Healing Potion
  db:priv_AddDB("Potions", 200155); -- Basic Mana Potion
  db:priv_AddDB("Potions", 200425); -- Elixir of the Sage
  db:priv_AddDB("Potions", 200225); -- Embrace of the Muse
  db:priv_AddDB("Potions", 203805); -- Fiery Medicine
  db:priv_AddDB("Potions", 200178); -- Healing Potion
  db:priv_AddDB("Potions", 200277); -- Hero Potion
  db:priv_AddDB("Potions", 200172); -- Invisibility Potion
  db:priv_AddDB("Potions", 200179); -- Mana Potion
  db:priv_AddDB("Potions", 203509); -- Potion of Exquisite Skill
  db:priv_AddDB("Potions", 203511); -- Potion of Focused Will
  db:priv_AddDB("Potions", 203806); -- Powder of Peace
  db:priv_AddDB("Potions", 200276); -- Purified Stimulating Scent
  db:priv_AddDB("Potions", 203807); -- Spellweaver Potion
  db:priv_AddDB("Potions", 203507); -- Strength of Battle
  db:priv_AddDB("Potions", 200274); -- Strong Healing Potion
  db:priv_AddDB("Potions", 200275); -- Strong Mana Potion
  db:priv_AddDB("Potions", 200173); -- Strong Stimulant
  db:priv_AddDB("Potions", 200199); -- Touch of the Unicorn
  db:priv_AddDB("Potions", 200427); -- Tranquility Powder
  db:priv_AddDB("Potions", 203808); -- Transparence Potion
  db:priv_AddDB("Potions", 203809); -- Unicorn's Present
  -- White
  db:priv_AddDB("Potions", 200820); -- Ancestral Spirit Herbs
  db:priv_AddDB("Potions", 200811); -- Barbarian Herbs
  db:priv_AddDB("Potions", 200664); -- Basic First Aid Potion
  db:priv_AddDB("Potions", 201043); -- Basic Magic Potion
  db:priv_AddDB("Potions", 200151); -- Basic Medicine
  db:priv_AddDB("Potions", 200152); -- Basic Spirit Potion
  db:priv_AddDB("Potions", 202906); -- Bean Paste Mooncake
  db:priv_AddDB("Potions", 203867); -- Blue Magic Potion
  db:priv_AddDB("Potions", 202907); -- Coconut Mooncake
  db:priv_AddDB("Potions", 200418); -- Collection Potion I
  db:priv_AddDB("Potions", 200420); -- Collection Potion II
  db:priv_AddDB("Potions", 200422); -- Collection Potion III
  db:priv_AddDB("Potions", 201053); -- Condensed Magic Potion
  db:priv_AddDB("Potions", 201056); -- Crystal Mana Medicine
  db:priv_AddDB("Potions", 205867); -- Dexterity Potion
  db:priv_AddDB("Potions", 201052); -- Elemental Mana Stone
  db:priv_AddDB("Potions", 201061); -- Elemental Spirit Stone
  db:priv_AddDB("Potions", 204890); -- Elemental Spirit Stone
  db:priv_AddDB("Potions", 200807); -- First Aid Potion
  db:priv_AddDB("Potions", 203510); -- Focus Potion
  db:priv_AddDB("Potions", 200812); -- Healer's First Aid Potion
  db:priv_AddDB("Potions", 205869); -- Health Potion
  db:priv_AddDB("Potions", 205863); -- Intelligence Potion
  db:priv_AddDB("Potions", 200194); -- Life Source
  db:priv_AddDB("Potions", 201046); -- Magic Potion
  db:priv_AddDB("Potions", 204130); -- Magical Wine
  db:priv_AddDB("Potions", 200808); -- Major First Aid Potion
  db:priv_AddDB("Potions", 201047); -- Major Magic Potion
  db:priv_AddDB("Potions", 200175); -- Mana Potion
  db:priv_AddDB("Potions", 200195); -- Mana Source
  db:priv_AddDB("Potions", 200819); -- Military Regeneration Formula
  db:priv_AddDB("Potions", 200018); -- Mysterious Potion
  db:priv_AddDB("Potions", 200426); -- Pacification Powder
  db:priv_AddDB("Potions", 203499); -- Phirius Elixir - Type A
  db:priv_AddDB("Potions", 203500); -- Phirius Elixir - Type B
  db:priv_AddDB("Potions", 203501); -- Phirius Elixir - Type C
  db:priv_AddDB("Potions", 203502); -- Phirius Elixir - Type D
  db:priv_AddDB("Potions", 203503); -- Phirius Elixir - Type E
  db:priv_AddDB("Potions", 203494); -- Phirius Potion - Type A
  db:priv_AddDB("Potions", 203495); -- Phirius Potion - Type B
  db:priv_AddDB("Potions", 203496); -- Phirius Potion - Type C
  db:priv_AddDB("Potions", 203497); -- Phirius Potion - Type D
  db:priv_AddDB("Potions", 203498); -- Phirius Potion - Type E
  db:priv_AddDB("Potions", 203489); -- Phirius Special Water - Type A
  db:priv_AddDB("Potions", 203490); -- Phirius Special Water - Type B
  db:priv_AddDB("Potions", 203491); -- Phirius Special Water - Type C
  db:priv_AddDB("Potions", 203492); -- Phirius Special Water - Type D
  db:priv_AddDB("Potions", 203493); -- Phirius Special Water - Type E
  db:priv_AddDB("Potions", 201057); -- Potent Crystal Mana Medicine
  db:priv_AddDB("Potions", 205868); -- Potent Dexterity Potion
  db:priv_AddDB("Potions", 205870); -- Potent Health Potion
  db:priv_AddDB("Potions", 205864); -- Potent Intelligence Potion
  db:priv_AddDB("Potions", 200816); -- Potent Regeneration Formula
  db:priv_AddDB("Potions", 205862); -- Potent Strength Potion
  db:priv_AddDB("Potions", 205866); -- Potent Wisdom Potion
  db:priv_AddDB("Potions", 203508); -- Potion of Energy
  db:priv_AddDB("Potions", 200273); -- Potion of Fire Elemental Affinity
  db:priv_AddDB("Potions", 200272); -- Potion of Holy Power
  db:priv_AddDB("Potions", 200424); -- Potion of Potential
  db:priv_AddDB("Potions", 203506); -- Potion of Rage
  db:priv_AddDB("Potions", 200159); -- Potion of Speed
  db:priv_AddDB("Potions", 200270); -- Powerful Spirit Potion
  db:priv_AddDB("Potions", 203159); -- Pumpkin Pizza
  db:priv_AddDB("Potions", 203160); -- Pumpkin Soup of Happiness
  db:priv_AddDB("Potions", 201060); -- Refined Crystal Mana Medicine
  db:priv_AddDB("Potions", 200815); -- Regeneration Mixture
  db:priv_AddDB("Potions", 200174); -- Salve
  db:priv_AddDB("Potions", 200663); -- Simple First Aid Potion
  db:priv_AddDB("Potions", 201042); -- Simple Magic Potion
  db:priv_AddDB("Potions", 204889); -- Spirit Herb
  db:priv_AddDB("Potions", 200160); -- Stimulant
  db:priv_AddDB("Potions", 200271); -- Stimulant Scent
  db:priv_AddDB("Potions", 205861); -- Strength Potion
  db:priv_AddDB("Potions", 200229); -- Strong Medicine
  db:priv_AddDB("Potions", 200196); -- Superior Collection Potion I
  db:priv_AddDB("Potions", 200197); -- Superior Collection Potion II
  db:priv_AddDB("Potions", 200198); -- Superior Collection Potion III
  db:priv_AddDB("Potions", 202886); -- Training First-aid Potion
  db:priv_AddDB("Potions", 202887); -- Training Magic Potion
  db:priv_AddDB("Potions", 205865); -- Wisdom Potion
  db:priv_AddDB("Potions", 200176); -- Witch Doctor Elixir
end;

----------------------------------------------------------------------------------

-- Special Crafting Recipes
local function priv_AddSpecialRecipes(db)
	db:priv_AddDB("SRecipes", 551750); -- Fine Perfect Adept's Iron Chest
	db:priv_AddDB("SRecipes", 551749); -- Functional Perfect Adept's Iron Chest
	db:priv_AddDB("SRecipes", 551748); -- Simple Perfect Adept's Iron Chest
	db:priv_AddDB("SRecipes", 551747); -- Fine Perfect Adept's Wooden Chest
	db:priv_AddDB("SRecipes", 551746); -- Functional Perfect Adept's Wooden Chest
	db:priv_AddDB("SRecipes", 551745); -- Simple Perfect Functional Wooden Chest
	db:priv_AddDB("SRecipes", 551582); -- Fine Enigma Adept's Wooden Chest
	db:priv_AddDB("SRecipes", 551581); -- Functional Enigma Adept's Wooden Chest
	db:priv_AddDB("SRecipes", 551580); -- Simple Enigma Adept's Wooden Chest
	db:priv_AddDB("SRecipes", 551658); -- Handmade Table with Sheena's Dishes
	db:priv_AddDB("SRecipes", 551344); -- Fine Arcane Adept Wood Chest
	db:priv_AddDB("SRecipes", 551343); -- Functional Arcane Adept Wood Chest
	db:priv_AddDB("SRecipes", 551342); -- Simple Arcane Adept Wood Chest
	db:priv_AddDB("SRecipes", 551210); -- Fine Researcher's Wooden Chest
	db:priv_AddDB("SRecipes", 551209); -- Functional Researcher's Wooden Chest
	db:priv_AddDB("SRecipes", 551208); -- Simple Researcher's Wooden Chest
	db:priv_AddDB("SRecipes", 551077); -- Fine Erudite Adept's Wooden Chest
	db:priv_AddDB("SRecipes", 551067); -- Functional Erudite Adept's Wooden Chest
	db:priv_AddDB("SRecipes", 551057); -- Simple Erudite Adept's Wooden Chest
	db:priv_AddDB("SRecipes", 551076); -- Fine Senior Adept's Wooden Chest
	db:priv_AddDB("SRecipes", 551066); -- Functional Senior Adept's Wooden Chest
	db:priv_AddDB("SRecipes", 551056); -- Simple Senior Adept's Wooden Chest
	db:priv_AddDB("SRecipes", 551075); -- Fine Adept's Wooden Chest
	db:priv_AddDB("SRecipes", 551065); -- Functional Adept's Wooden Chest
	db:priv_AddDB("SRecipes", 551055); -- Simple Adept's Wooden Chest
	db:priv_AddDB("SRecipes", 551074); -- Fine Expert Craftsman's Wooden Chest
	db:priv_AddDB("SRecipes", 551064); -- Functional Expert Craftsman's Wooden
	db:priv_AddDB("SRecipes", 551054); -- Simple Expert Craftsman's Wooden Chest
	db:priv_AddDB("SRecipes", 551073); -- Fine Senior Craftsman's Wooden Chest
	db:priv_AddDB("SRecipes", 551063); -- Functional Senior Craftsman's Wooden Chest
	db:priv_AddDB("SRecipes", 551053); -- Simple Senior Craftsman's Wooden Chest
	db:priv_AddDB("SRecipes", 551072); -- Fine Junior Craftsman's Wooden Chest
	db:priv_AddDB("SRecipes", 551062); -- Functional Junior Craftsman's Wooden Chest
	db:priv_AddDB("SRecipes", 551052); -- Simple Junior Craftsman's Wooden Chest
	db:priv_AddDB("SRecipes", 551071); -- Fine Recruit Craftsman's Wooden Chest
	db:priv_AddDB("SRecipes", 551061); -- Functional Recruit Craftsman's Wooden Chest
	db:priv_AddDB("SRecipes", 551051); -- Simple Recruit Craftsman's Wooden Chest
end;

-- Guild Contribution
local function priv_AddGuildContribution(db) -- 6.0.1
	db:priv_AddDB("Guild", 202916); -- Guild Rune
	db:priv_AddDB("Guild", 202917); -- Guild Stone
	db:priv_AddDB("Guild", 203450); -- Ruby Stone
	db:priv_AddDB("Guild", 207929); -- Handcrafted Ruby
	db:priv_AddDB("Guild", 207930); -- Teardrop Ruby
	db:priv_AddDB("Guild", 207931); -- Cosmic Ruby
	db:priv_AddDB("Guild", 207932); -- Flawless Ruby
	db:priv_AddDB("Guild", 206695); -- Ore Essence
	db:priv_AddDB("Guild", 206696); -- Wood Essence
	db:priv_AddDB("Guild", 206697); -- Herb Essence
	db:priv_AddDB("Guild", 206263); -- Star Pearl
	db:priv_AddDB("Guild", 206262); -- Golden Ear of Grain
	db:priv_AddDB("Guild", 206261); -- Fortune Grass
	db:priv_AddDB("Guild", 206590); -- Magic Fortune Grass
end;

-- Experience and Talent Orbs
local function priv_AddExpTP_Orbs(db)		-- 6.0.1
	--  Experience Points
	db:priv_AddDB("Orbs", 203276); -- 10 000 Exp
	db:priv_AddDB("Orbs", 206902); -- 50 000 Exp
	db:priv_AddDB("Orbs", 203277); -- 100 000 Exp
	db:priv_AddDB("Orbs", 203278); -- 1 000 000 Exp
	db:priv_AddDB("Orbs", 203279); -- 10 000 000 Exp
	-- Talent Points
	db:priv_AddDB("Orbs", 203064); -- 100 TP
	db:priv_AddDB("Orbs", 203580); -- 500 TP
	db:priv_AddDB("Orbs", 203065); -- 1000 TP
	db:priv_AddDB("Orbs", 206903); -- 5000 TP
	db:priv_AddDB("Orbs", 203066); -- 10 000 TP
	db:priv_AddDB("Orbs", 203067); -- 100 000 TP
	db:priv_AddDB("Orbs", 240584); -- 100 000 TP
end;

-- Pure Items for pure Tier grad 5
local function priv_AddPureTierGrad5Items(db)	-- 6.0.1
	db:priv_AddDB("PureTierItems", 228959); -- Recall Belt
	db:priv_AddDB("PureTierItems", 228966); -- Recall Belt
end;

-- Tier grad 5 Items
local function priv_AddTierGrad5Items(db)		-- 6.0.1
	db:priv_AddDB("TierItems", 213791); -- Rare Night Whispers Blade
	db:priv_AddDB("TierItems", 213795); -- Sun Sword
	db:priv_AddDB("TierItems", 213797); -- Small Element Hammer
	db:priv_AddDB("TierItems", 213799); -- Water Cave Hammer
	db:priv_AddDB("TierItems", 213800); -- Volcano Bow
	db:priv_AddDB("TierItems", 213801); -- Water Cave Crossbow
	db:priv_AddDB("TierItems", 213802); -- Volcano Blade
	db:priv_AddDB("TierItems", 213803); -- Element Wand
	db:priv_AddDB("TierItems", 213804); -- Volcano Staff
	db:priv_AddDB("TierItems", 213810); -- Rare Water Cave Hammer
	db:priv_AddDB("TierItems", 213815); -- Rare Volcano Staff
	db:priv_AddDB("TierItems", 214003); -- Sword of Disorder
	db:priv_AddDB("TierItems", 214005); -- Fire Elemental Hand Axe
	db:priv_AddDB("TierItems", 214007); -- Awytar Hammer
	db:priv_AddDB("TierItems", 214010); -- Boiling Lake Dagger
	db:priv_AddDB("TierItems", 214011); -- Boiling Lake Staff
	db:priv_AddDB("TierItems", 214012); -- Staff of the Balance
	db:priv_AddDB("TierItems", 214129); -- Shotak Pirate Battle Blade
	db:priv_AddDB("TierItems", 214131); -- The Franko Pirates' Battle Axe
	db:priv_AddDB("TierItems", 214133); -- Light Bodos Warrior Hammer
	db:priv_AddDB("TierItems", 214136); -- Ailic's Pirates Battle Blade
	db:priv_AddDB("TierItems", 214138); -- Staff of the Waters of Lake Noktus
	db:priv_AddDB("TierItems", 214140); -- Rare Shotak Pirate Battle Blade
	db:priv_AddDB("TierItems", 214147); -- Rare Ailic's Pirates Battle Blade
	db:priv_AddDB("TierItems", 214149); -- Rare Staff of the Waters of Lake Noktus
	db:priv_AddDB("TierItems", 227686); -- Balanced Pants
	db:priv_AddDB("TierItems", 230699); -- Volcano Shoulder Guards
	db:priv_AddDB("TierItems", 230700); -- Sun Chainmail
	db:priv_AddDB("TierItems", 230701); -- Sun Leg Guards
	db:priv_AddDB("TierItems", 230702); -- Sun Shoulder Guards
	db:priv_AddDB("TierItems", 230704); -- Element Leg Guards
	db:priv_AddDB("TierItems", 230705); -- Element Shoulder Guards
	db:priv_AddDB("TierItems", 230706); -- Water Cave Robe
	db:priv_AddDB("TierItems", 230707); -- Water Cave Leggings
	db:priv_AddDB("TierItems", 230716); -- Rare Element Leg Guards
	db:priv_AddDB("TierItems", 230719); -- Rare Water Cave Leggings
	db:priv_AddDB("TierItems", 231607); -- Kingdom Helmet
	db:priv_AddDB("TierItems", 231608); -- Kingdom Plate Gauntlets
	db:priv_AddDB("TierItems", 231609); -- Kingdom Plate Boots
	db:priv_AddDB("TierItems", 231610); -- Awytar Chain Head
	db:priv_AddDB("TierItems", 231611); -- Awytar Chain Hands
	db:priv_AddDB("TierItems", 231612); -- Awytar Chain Boots
	db:priv_AddDB("TierItems", 231613); -- Boiling Lake Leather Cap
	db:priv_AddDB("TierItems", 231614); -- Boiling Lake Leather Gloves
	db:priv_AddDB("TierItems", 231615); -- Boiling Lake Leather Boots
	db:priv_AddDB("TierItems", 231616); -- Fire Elemental Head Piece
	db:priv_AddDB("TierItems", 231617); -- Fire Elemental Gloves
	db:priv_AddDB("TierItems", 231618); -- Fire Elemental Cloth Shoes
	db:priv_AddDB("TierItems", 231622); -- Rare Awytar Chain Head
	db:priv_AddDB("TierItems", 231625); -- Rare Boiling Lake Leather Cap
	db:priv_AddDB("TierItems", 231633); -- Feyna Forest Plate Shoulder Guards
	db:priv_AddDB("TierItems", 231636); -- Lake Noktus Chainmail Shoulder Guards
	db:priv_AddDB("TierItems", 231639); -- One Thousand Stone Eyes Leather Shoulder Guards
	db:priv_AddDB("TierItems", 231642); -- Arum Cloth Shoulder Guards
	db:priv_AddDB("TierItems", 231641); -- Arum Long Pants
	db:priv_AddDB("TierItems", 231645); -- Rare Feyna Forest Plate Shoulder Guards
	db:priv_AddDB("TierItems", 231653); -- Rare Arum Long Pants
	db:priv_AddDB("TierItems", 231654); -- Rare Arum Cloth Shoulder Guards
	-- Blue Accessories 75 Lvl
	db:priv_AddDB("TierItems", 229697); -- Association Ring
	db:priv_AddDB("TierItems", 229698); -- Balanced Necklace
	db:priv_AddDB("TierItems", 229699); -- Balanced Earring
	-- Blue Accessories 80 Lvl
	db:priv_AddDB("TierItems", 231921); -- Water Fire Necklace
	db:priv_AddDB("TierItems", 231922); -- Water Fire Ring
	db:priv_AddDB("TierItems", 231922); -- Water Fire Earrings
	-- Blue Accessories 82 Lvl   -- uncoment if nead
	--db:priv_AddDB("TierItems", 231924); -- Kingdom Necklace
	--db:priv_AddDB("TierItems", 231925); -- Kingdom Ring
	--db:priv_AddDB("TierItems", 231926); -- Kingdom Earring
	-- Blue Accessories 85 Lvl   -- uncoment if nead
	--db:priv_AddDB("TierItems", 224991); -- Fjord Necklace
	--db:priv_AddDB("TierItems", 228750); -- Fjord Ring
	--db:priv_AddDB("TierItems", 228879); -- Fjord Earring
end;

-- Add Custom Items
local function priv_AddCustomItems(db)			-- 6.0.1
	-- Custom Items
	db:priv_AddDB("CustomItems", 012345); -- You Custom Items
end;

UMMItemDB = ResourceItemFilter;
UMMItemDB:Init();

-- Equipment Enchancements
priv_AddJuwels(UMMItemDB);
priv_AddRunes(UMMItemDB);
priv_AddFusionStones(UMMItemDB);

-- Materials
priv_AddOres(UMMItemDB);
priv_AddWood(UMMItemDB);
priv_AddHerbs(UMMItemDB);
priv_AddRawMaterials(UMMItemDB);
priv_AddProductionRunes(UMMItemDB);

-- Supplies
priv_AddFoods(UMMItemDB);
priv_AddDesserts(UMMItemDB);
priv_AddPotions(UMMItemDB);

-- Recipes
priv_AddSpecialRecipes(UMMItemDB);

-- Guild Contribution
priv_AddGuildContribution(UMMItemDB);		-- 5.0.0.2545

-- Experience and Talent Orbs
priv_AddExpTP_Orbs(UMMItemDB); 				-- 6.0.1

-- Pure Items for pure Tier grad 5
priv_AddPureTierGrad5Items(UMMItemDB); 		-- 6.0.1

-- Tier grad 5 Items
priv_AddTierGrad5Items(UMMItemDB); 			-- 6.0.1

-- Custom Items
priv_AddCustomItems(UMMItemDB); 			-- 6.0.1

